<!DOCTYPE html>
<html lang="en-US" prefix="og: https://ogp.me/ns#">

<head>
	<meta charset="UTF-8">
	<title>ICMS - Nota Fiscal</title>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<style>
		img:is([sizes="auto" i], [sizes^="auto," i]) {
			contain-intrinsic-size: 3000px 1500px
		}
	</style>



	<!-- Search Engine Optimization by Rank Math - https://rankmath.com/ -->
	<meta name="description"
		content="/* Estilos do loader giratório */ .spinner { border: 8px solid #f3f3f3; /* Cor de fundo do loader */ border-top: 8px solid #3498db; /* Cor da borda giratória">
	<meta name="robots" content="index, follow, max-snippet:-1, max-video-preview:-1, max-image-preview:large">
	<link rel="canonical" href="https://ssl.acessoseguro.website/ICMS-notafiscal/">
	<meta property="og:locale" content="en_US">
	<meta property="og:type" content="article">
	<meta property="og:title" content="ICMS - Nota Fiscal - Mega Mundo">
	<meta property="og:description"
		content="/* Estilos do loader giratório */ .spinner { border: 8px solid #f3f3f3; /* Cor de fundo do loader */ border-top: 8px solid #3498db; /* Cor da borda giratória">
	<meta property="og:url" content="https://ssl.acessoseguro.website/ICMS-notafiscal/">
	<meta property="og:site_name" content="Mega Mundo">
	<meta property="og:updated_time" content="2024-10-01T23:55:41+00:00">
	<meta property="og:image" content="images/pngegg-1-1024x209-1.png">
	<meta property="og:image:secure_url" content="images/pngegg-1-1024x209-1.png">
	<meta property="og:image:width" content="1024">
	<meta property="og:image:height" content="209">
	<meta property="og:image:alt" content="ICMS – Nota Fiscal">
	<meta property="og:image:type" content="image/png">
	<meta property="article:published_time" content="2024-10-01T21:56:29+00:00">
	<meta property="article:modified_time" content="2024-10-01T23:55:41+00:00">
	<meta name="twitter:card" content="summary_large_image">
	<meta name="twitter:title" content="ICMS - Nota Fiscal - Mega Mundo">
	<meta name="twitter:description"
		content="/* Estilos do loader giratório */ .spinner { border: 8px solid #f3f3f3; /* Cor de fundo do loader */ border-top: 8px solid #3498db; /* Cor da borda giratória">
	<meta name="twitter:image"
		content="https://ssl.acessoseguro.website/wp-content/uploads/2024/10/pngegg-1-1024x209-1.png">
	<meta name="twitter:label1" content="Time to read">
	<meta name="twitter:data1" content="Less than a minute">
	<script type="application/ld+json"
		class="rank-math-schema">
		{
			"@context": "https://schema.org",
			"@graph": [{
				"@type": ["Person", "Organization"],
				"@id": "https://ssl.acessoseguro.website/#person",
				"name": "Mega Mundo"
			}, {
				"@type": "WebSite",
				"@id": "https://ssl.acessoseguro.website/#website",
				"url": "https://ssl.acessoseguro.website",
				"name": "Mega Mundo",
				"publisher": {
					"@id": "https://ssl.acessoseguro.website/#person"
				},
				"inLanguage": "en-US"
			}, {
				"@type": "ImageObject",
				"@id": "https://ssl.acessoseguro.website/wp-content/uploads/2024/10/pngegg-1-1024x209-1.png",
				"url": "https://ssl.acessoseguro.website/wp-content/uploads/2024/10/pngegg-1-1024x209-1.png",
				"width": "200",
				"height": "200",
				"inLanguage": "en-US"
			}, {
				"@type": "WebPage",
				"@id": "https://ssl.acessoseguro.website/ICMS-notafiscal/#webpage",
				"url": "https://ssl.acessoseguro.website/ICMS-notafiscal/",
				"name": "ICMS - Nota Fiscal - Mega Mundo",
				"datePublished": "2024-10-01T21:56:29+00:00",
				"dateModified": "2024-10-01T23:55:41+00:00",
				"isPartOf": {
					"@id": "https://ssl.acessoseguro.website/#website"
				},
				"primaryImageOfPage": {
					"@id": "https://ssl.acessoseguro.website/wp-content/uploads/2024/10/pngegg-1-1024x209-1.png"
				},
				"inLanguage": "en-US"
			}, {
				"@type": "Person",
				"@id": "https://ssl.acessoseguro.website/author/admin/",
				"name": "admin",
				"url": "https://ssl.acessoseguro.website/author/admin/",
				"image": {
					"@type": "ImageObject",
					"@id": "https://secure.gravatar.com/avatar/c45a47f69d4ca72f1eb3206a857a6e99?s=96&d=mm&r=g",
					"url": "https://secure.gravatar.com/avatar/c45a47f69d4ca72f1eb3206a857a6e99?s=96&d=mm&r=g",
					"caption": "admin",
					"inLanguage": "en-US"
				},
				"sameAs": ["https://ssl.acessoseguro.website"]
			}, {
				"@type": "Article",
				"headline": "ICMS - Nota Fiscal - Mega Mundo",
				"datePublished": "2024-10-01T21:56:29+00:00",
				"dateModified": "2024-10-01T23:55:41+00:00",
				"author": {
					"@id": "https://ssl.acessoseguro.website/author/admin/",
					"name": "admin"
				},
				"publisher": {
					"@id": "https://ssl.acessoseguro.website/#person"
				},
				"description": "/* Estilos do loader girat\u00f3rio */ .spinner { border: 8px solid #f3f3f3; /* Cor de fundo do loader */ border-top: 8px solid #3498db; /* Cor da borda girat\u00f3ria",
				"name": "ICMS - Nota Fiscal - Mega Mundo",
				"@id": "https://ssl.acessoseguro.website/ICMS-notafiscal/#richSnippet",
				"isPartOf": {
					"@id": "https://ssl.acessoseguro.website/ICMS-notafiscal/#webpage"
				},
				"image": {
					"@id": "https://ssl.acessoseguro.website/wp-content/uploads/2024/10/pngegg-1-1024x209-1.png"
				},
				"inLanguage": "en-US",
				"mainEntityOfPage": {
					"@id": "https://ssl.acessoseguro.website/ICMS-notafiscal/#webpage"
				}
			}]
		}
	</script>
	<!-- /Rank Math WordPress SEO plugin -->

	<title>ICMS - Nota Fiscal - Mega Mundo</title>
	<link rel="alternate" type="application/rss+xml" title="Mega Mundo » Feed"
		href="https://ssl.acessoseguro.website/feed/">
	<link rel="alternate" type="application/rss+xml" title="Mega Mundo » Comments Feed"
		href="https://ssl.acessoseguro.website/comments/feed/">
	<script>
		window._wpemojiSettings = {
			"baseUrl": "https:\/\/s.w.org\/images\/core\/emoji\/15.0.3\/72x72\/",
			"ext": ".png",
			"svgUrl": "https:\/\/s.w.org\/images\/core\/emoji\/15.0.3\/svg\/",
			"svgExt": ".svg",
			"source": {
				"concatemoji": "https:\/\/ssl.acessoseguro.website\/wp-includes\/js\/wp-emoji-release.min.js?ver=6.7.1"
			}
		};
		/*! This file is auto-generated */
		! function(i, n) {
			var o, s, e;

			function c(e) {
				try {
					var t = {
						supportTests: e,
						timestamp: (new Date).valueOf()
					};
					sessionStorage.setItem(o, JSON.stringify(t))
				} catch (e) {}
			}

			function p(e, t, n) {
				e.clearRect(0, 0, e.canvas.width, e.canvas.height), e.fillText(t, 0, 0);
				var t = new Uint32Array(e.getImageData(0, 0, e.canvas.width, e.canvas.height).data),
					r = (e.clearRect(0, 0, e.canvas.width, e.canvas.height), e.fillText(n, 0, 0), new Uint32Array(e.getImageData(0, 0, e.canvas.width, e.canvas.height).data));
				return t.every(function(e, t) {
					return e === r[t]
				})
			}

			function u(e, t, n) {
				switch (t) {
					case "flag":
						return n(e, "\ud83c\udff3\ufe0f\u200d\u26a7\ufe0f", "\ud83c\udff3\ufe0f\u200b\u26a7\ufe0f") ? !1 : !n(e, "\ud83c\uddfa\ud83c\uddf3", "\ud83c\uddfa\u200b\ud83c\uddf3") && !n(e, "\ud83c\udff4\udb40\udc67\udb40\udc62\udb40\udc65\udb40\udc6e\udb40\udc67\udb40\udc7f", "\ud83c\udff4\u200b\udb40\udc67\u200b\udb40\udc62\u200b\udb40\udc65\u200b\udb40\udc6e\u200b\udb40\udc67\u200b\udb40\udc7f");
					case "emoji":
						return !n(e, "\ud83d\udc26\u200d\u2b1b", "\ud83d\udc26\u200b\u2b1b")
				}
				return !1
			}

			function f(e, t, n) {
				var r = "undefined" != typeof WorkerGlobalScope && self instanceof WorkerGlobalScope ? new OffscreenCanvas(300, 150) : i.createElement("canvas"),
					a = r.getContext("2d", {
						willReadFrequently: !0
					}),
					o = (a.textBaseline = "top", a.font = "600 32px Arial", {});
				return e.forEach(function(e) {
					o[e] = t(a, e, n)
				}), o
			}

			function t(e) {
				var t = i.createElement("script");
				t.src = e, t.defer = !0, i.head.appendChild(t)
			}
			"undefined" != typeof Promise && (o = "wpEmojiSettingsSupports", s = ["flag", "emoji"], n.supports = {
				everything: !0,
				everythingExceptFlag: !0
			}, e = new Promise(function(e) {
				i.addEventListener("DOMContentLoaded", e, {
					once: !0
				})
			}), new Promise(function(t) {
				var n = function() {
					try {
						var e = JSON.parse(sessionStorage.getItem(o));
						if ("object" == typeof e && "number" == typeof e.timestamp && (new Date).valueOf() < e.timestamp + 604800 && "object" == typeof e.supportTests) return e.supportTests
					} catch (e) {}
					return null
				}();
				if (!n) {
					if ("undefined" != typeof Worker && "undefined" != typeof OffscreenCanvas && "undefined" != typeof URL && URL.createObjectURL && "undefined" != typeof Blob) try {
						var e = "postMessage(" + f.toString() + "(" + [JSON.stringify(s), u.toString(), p.toString()].join(",") + "));",
							r = new Blob([e], {
								type: "text/javascript"
							}),
							a = new Worker(URL.createObjectURL(r), {
								name: "wpTestEmojiSupports"
							});
						return void(a.onmessage = function(e) {
							c(n = e.data), a.terminate(), t(n)
						})
					} catch (e) {}
					c(n = f(s, u, p))
				}
				t(n)
			}).then(function(e) {
				for (var t in e) n.supports[t] = e[t], n.supports.everything = n.supports.everything && n.supports[t], "flag" !== t && (n.supports.everythingExceptFlag = n.supports.everythingExceptFlag && n.supports[t]);
				n.supports.everythingExceptFlag = n.supports.everythingExceptFlag && !n.supports.flag, n.DOMReady = !1, n.readyCallback = function() {
					n.DOMReady = !0
				}
			}).then(function() {
				return e
			}).then(function() {
				var e;
				n.supports.everything || (n.readyCallback(), (e = n.source || {}).concatemoji ? t(e.concatemoji) : e.wpemoji && e.twemoji && (t(e.twemoji), t(e.wpemoji)))
			}))
		}((window, document), window._wpemojiSettings);
	</script>
	<style id="wp-emoji-styles-inline-css">
		img.wp-smiley,
		img.emoji {
			display: inline !important;
			border: none !important;
			box-shadow: none !important;
			height: 1em !important;
			width: 1em !important;
			margin: 0 0.07em !important;
			vertical-align: -0.1em !important;
			background: none !important;
			padding: 0 !important;
		}
	</style>
	<style id="wp-block-library-inline-css">
		:root {
			--wp-admin-theme-color: #007cba;
			--wp-admin-theme-color--rgb: 0, 124, 186;
			--wp-admin-theme-color-darker-10: #006ba1;
			--wp-admin-theme-color-darker-10--rgb: 0, 107, 161;
			--wp-admin-theme-color-darker-20: #005a87;
			--wp-admin-theme-color-darker-20--rgb: 0, 90, 135;
			--wp-admin-border-width-focus: 2px;
			--wp-block-synced-color: #7a00df;
			--wp-block-synced-color--rgb: 122, 0, 223;
			--wp-bound-block-color: var(--wp-block-synced-color)
		}

		@media (min-resolution:192dpi) {
			:root {
				--wp-admin-border-width-focus: 1.5px
			}
		}

		.wp-element-button {
			cursor: pointer
		}

		:root {
			--wp--preset--font-size--normal: 16px;
			--wp--preset--font-size--huge: 42px
		}

		:root .has-very-light-gray-background-color {
			background-color: #eee
		}

		:root .has-very-dark-gray-background-color {
			background-color: #313131
		}

		:root .has-very-light-gray-color {
			color: #eee
		}

		:root .has-very-dark-gray-color {
			color: #313131
		}

		:root .has-vivid-green-cyan-to-vivid-cyan-blue-gradient-background {
			background: linear-gradient(135deg, #00d084, #0693e3)
		}

		:root .has-purple-crush-gradient-background {
			background: linear-gradient(135deg, #34e2e4, #4721fb 50%, #ab1dfe)
		}

		:root .has-hazy-dawn-gradient-background {
			background: linear-gradient(135deg, #faaca8, #dad0ec)
		}

		:root .has-subdued-olive-gradient-background {
			background: linear-gradient(135deg, #fafae1, #67a671)
		}

		:root .has-atomic-cream-gradient-background {
			background: linear-gradient(135deg, #fdd79a, #004a59)
		}

		:root .has-nightshade-gradient-background {
			background: linear-gradient(135deg, #330968, #31cdcf)
		}

		:root .has-midnight-gradient-background {
			background: linear-gradient(135deg, #020381, #2874fc)
		}

		.has-regular-font-size {
			font-size: 1em
		}

		.has-larger-font-size {
			font-size: 2.625em
		}

		.has-normal-font-size {
			font-size: var(--wp--preset--font-size--normal)
		}

		.has-huge-font-size {
			font-size: var(--wp--preset--font-size--huge)
		}

		.has-text-align-center {
			text-align: center
		}

		.has-text-align-left {
			text-align: left
		}

		.has-text-align-right {
			text-align: right
		}

		#end-resizable-editor-section {
			display: none
		}

		.aligncenter {
			clear: both
		}

		.items-justified-left {
			justify-content: flex-start
		}

		.items-justified-center {
			justify-content: center
		}

		.items-justified-right {
			justify-content: flex-end
		}

		.items-justified-space-between {
			justify-content: space-between
		}

		.screen-reader-text {
			border: 0;
			clip: rect(1px, 1px, 1px, 1px);
			clip-path: inset(50%);
			height: 1px;
			margin: -1px;
			overflow: hidden;
			padding: 0;
			position: absolute;
			width: 1px;
			word-wrap: normal !important
		}

		.screen-reader-text:focus {
			background-color: #ddd;
			clip: auto !important;
			clip-path: none;
			color: #444;
			display: block;
			font-size: 1em;
			height: auto;
			left: 5px;
			line-height: normal;
			padding: 15px 23px 14px;
			text-decoration: none;
			top: 5px;
			width: auto;
			z-index: 100000
		}

		html :where(.has-border-color) {
			border-style: solid
		}

		html :where([style*=border-top-color]) {
			border-top-style: solid
		}

		html :where([style*=border-right-color]) {
			border-right-style: solid
		}

		html :where([style*=border-bottom-color]) {
			border-bottom-style: solid
		}

		html :where([style*=border-left-color]) {
			border-left-style: solid
		}

		html :where([style*=border-width]) {
			border-style: solid
		}

		html :where([style*=border-top-width]) {
			border-top-style: solid
		}

		html :where([style*=border-right-width]) {
			border-right-style: solid
		}

		html :where([style*=border-bottom-width]) {
			border-bottom-style: solid
		}

		html :where([style*=border-left-width]) {
			border-left-style: solid
		}

		html :where(img[class*=wp-image-]) {
			height: auto;
			max-width: 100%
		}

		:where(figure) {
			margin: 0 0 1em
		}

		html :where(.is-position-sticky) {
			--wp-admin--admin-bar--position-offset: var(--wp-admin--admin-bar--height, 0px)
		}

		@media screen and (max-width:600px) {
			html :where(.is-position-sticky) {
				--wp-admin--admin-bar--position-offset: 0px
			}
		}
	</style>
	<style id="global-styles-inline-css">
		:root {
			--wp--preset--aspect-ratio--square: 1;
			--wp--preset--aspect-ratio--4-3: 4/3;
			--wp--preset--aspect-ratio--3-4: 3/4;
			--wp--preset--aspect-ratio--3-2: 3/2;
			--wp--preset--aspect-ratio--2-3: 2/3;
			--wp--preset--aspect-ratio--16-9: 16/9;
			--wp--preset--aspect-ratio--9-16: 9/16;
			--wp--preset--color--black: #000000;
			--wp--preset--color--cyan-bluish-gray: #abb8c3;
			--wp--preset--color--white: #ffffff;
			--wp--preset--color--pale-pink: #f78da7;
			--wp--preset--color--vivid-red: #cf2e2e;
			--wp--preset--color--luminous-vivid-orange: #ff6900;
			--wp--preset--color--luminous-vivid-amber: #fcb900;
			--wp--preset--color--light-green-cyan: #7bdcb5;
			--wp--preset--color--vivid-green-cyan: #00d084;
			--wp--preset--color--pale-cyan-blue: #8ed1fc;
			--wp--preset--color--vivid-cyan-blue: #0693e3;
			--wp--preset--color--vivid-purple: #9b51e0;
			--wp--preset--color--base: #f9f9f9;
			--wp--preset--color--base-2: #ffffff;
			--wp--preset--color--contrast: #111111;
			--wp--preset--color--contrast-2: #636363;
			--wp--preset--color--contrast-3: #A4A4A4;
			--wp--preset--color--accent: #cfcabe;
			--wp--preset--color--accent-2: #c2a990;
			--wp--preset--color--accent-3: #d8613c;
			--wp--preset--color--accent-4: #b1c5a4;
			--wp--preset--color--accent-5: #b5bdbc;
			--wp--preset--gradient--vivid-cyan-blue-to-vivid-purple: linear-gradient(135deg, rgba(6, 147, 227, 1) 0%, rgb(155, 81, 224) 100%);
			--wp--preset--gradient--light-green-cyan-to-vivid-green-cyan: linear-gradient(135deg, rgb(122, 220, 180) 0%, rgb(0, 208, 130) 100%);
			--wp--preset--gradient--luminous-vivid-amber-to-luminous-vivid-orange: linear-gradient(135deg, rgba(252, 185, 0, 1) 0%, rgba(255, 105, 0, 1) 100%);
			--wp--preset--gradient--luminous-vivid-orange-to-vivid-red: linear-gradient(135deg, rgba(255, 105, 0, 1) 0%, rgb(207, 46, 46) 100%);
			--wp--preset--gradient--very-light-gray-to-cyan-bluish-gray: linear-gradient(135deg, rgb(238, 238, 238) 0%, rgb(169, 184, 195) 100%);
			--wp--preset--gradient--cool-to-warm-spectrum: linear-gradient(135deg, rgb(74, 234, 220) 0%, rgb(151, 120, 209) 20%, rgb(207, 42, 186) 40%, rgb(238, 44, 130) 60%, rgb(251, 105, 98) 80%, rgb(254, 248, 76) 100%);
			--wp--preset--gradient--blush-light-purple: linear-gradient(135deg, rgb(255, 206, 236) 0%, rgb(152, 150, 240) 100%);
			--wp--preset--gradient--blush-bordeaux: linear-gradient(135deg, rgb(254, 205, 165) 0%, rgb(254, 45, 45) 50%, rgb(107, 0, 62) 100%);
			--wp--preset--gradient--luminous-dusk: linear-gradient(135deg, rgb(255, 203, 112) 0%, rgb(199, 81, 192) 50%, rgb(65, 88, 208) 100%);
			--wp--preset--gradient--pale-ocean: linear-gradient(135deg, rgb(255, 245, 203) 0%, rgb(182, 227, 212) 50%, rgb(51, 167, 181) 100%);
			--wp--preset--gradient--electric-grass: linear-gradient(135deg, rgb(202, 248, 128) 0%, rgb(113, 206, 126) 100%);
			--wp--preset--gradient--midnight: linear-gradient(135deg, rgb(2, 3, 129) 0%, rgb(40, 116, 252) 100%);
			--wp--preset--gradient--gradient-1: linear-gradient(to bottom, #cfcabe 0%, #F9F9F9 100%);
			--wp--preset--gradient--gradient-2: linear-gradient(to bottom, #C2A990 0%, #F9F9F9 100%);
			--wp--preset--gradient--gradient-3: linear-gradient(to bottom, #D8613C 0%, #F9F9F9 100%);
			--wp--preset--gradient--gradient-4: linear-gradient(to bottom, #B1C5A4 0%, #F9F9F9 100%);
			--wp--preset--gradient--gradient-5: linear-gradient(to bottom, #B5BDBC 0%, #F9F9F9 100%);
			--wp--preset--gradient--gradient-6: linear-gradient(to bottom, #A4A4A4 0%, #F9F9F9 100%);
			--wp--preset--gradient--gradient-7: linear-gradient(to bottom, #cfcabe 50%, #F9F9F9 50%);
			--wp--preset--gradient--gradient-8: linear-gradient(to bottom, #C2A990 50%, #F9F9F9 50%);
			--wp--preset--gradient--gradient-9: linear-gradient(to bottom, #D8613C 50%, #F9F9F9 50%);
			--wp--preset--gradient--gradient-10: linear-gradient(to bottom, #B1C5A4 50%, #F9F9F9 50%);
			--wp--preset--gradient--gradient-11: linear-gradient(to bottom, #B5BDBC 50%, #F9F9F9 50%);
			--wp--preset--gradient--gradient-12: linear-gradient(to bottom, #A4A4A4 50%, #F9F9F9 50%);
			--wp--preset--font-size--small: 0.9rem;
			--wp--preset--font-size--medium: 1.05rem;
			--wp--preset--font-size--large: clamp(1.39rem, 1.39rem + ((1vw - 0.2rem) * 0.767), 1.85rem);
			--wp--preset--font-size--x-large: clamp(1.85rem, 1.85rem + ((1vw - 0.2rem) * 1.083), 2.5rem);
			--wp--preset--font-size--xx-large: clamp(2.5rem, 2.5rem + ((1vw - 0.2rem) * 1.283), 3.27rem);
			--wp--preset--font-family--body: "Inter", sans-serif;
			--wp--preset--font-family--heading: Cardo;
			--wp--preset--font-family--system-sans-serif: -apple-system, BlinkMacSystemFont, avenir next, avenir, segoe ui, helvetica neue, helvetica, Cantarell, Ubuntu, roboto, noto, arial, sans-serif;
			--wp--preset--font-family--system-serif: Iowan Old Style, Apple Garamond, Baskerville, Times New Roman, Droid Serif, Times, Source Serif Pro, serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol;
			--wp--preset--spacing--20: min(1.5rem, 2vw);
			--wp--preset--spacing--30: min(2.5rem, 3vw);
			--wp--preset--spacing--40: min(4rem, 5vw);
			--wp--preset--spacing--50: min(6.5rem, 8vw);
			--wp--preset--spacing--60: min(10.5rem, 13vw);
			--wp--preset--spacing--70: 3.38rem;
			--wp--preset--spacing--80: 5.06rem;
			--wp--preset--spacing--10: 1rem;
			--wp--preset--shadow--natural: 6px 6px 9px rgba(0, 0, 0, 0.2);
			--wp--preset--shadow--deep: 12px 12px 50px rgba(0, 0, 0, 0.4);
			--wp--preset--shadow--sharp: 6px 6px 0px rgba(0, 0, 0, 0.2);
			--wp--preset--shadow--outlined: 6px 6px 0px -3px rgba(255, 255, 255, 1), 6px 6px rgba(0, 0, 0, 1);
			--wp--preset--shadow--crisp: 6px 6px 0px rgba(0, 0, 0, 1);
		}

		:root {
			--wp--style--global--content-size: 620px;
			--wp--style--global--wide-size: 1280px;
		}

		:where(body) {
			margin: 0;
		}

		.wp-site-blocks {
			padding-top: var(--wp--style--root--padding-top);
			padding-bottom: var(--wp--style--root--padding-bottom);
		}

		.has-global-padding {
			padding-right: var(--wp--style--root--padding-right);
			padding-left: var(--wp--style--root--padding-left);
		}

		.has-global-padding>.alignfull {
			margin-right: calc(var(--wp--style--root--padding-right) * -1);
			margin-left: calc(var(--wp--style--root--padding-left) * -1);
		}

		.has-global-padding :where(:not(.alignfull.is-layout-flow) > .has-global-padding:not(.wp-block-block, .alignfull)) {
			padding-right: 0;
			padding-left: 0;
		}

		.has-global-padding :where(:not(.alignfull.is-layout-flow) > .has-global-padding:not(.wp-block-block, .alignfull))>.alignfull {
			margin-left: 0;
			margin-right: 0;
		}

		.wp-site-blocks>.alignleft {
			float: left;
			margin-right: 2em;
		}

		.wp-site-blocks>.alignright {
			float: right;
			margin-left: 2em;
		}

		.wp-site-blocks>.aligncenter {
			justify-content: center;
			margin-left: auto;
			margin-right: auto;
		}

		:where(.wp-site-blocks)>* {
			margin-block-start: 1.2rem;
			margin-block-end: 0;
		}

		:where(.wp-site-blocks)> :first-child {
			margin-block-start: 0;
		}

		:where(.wp-site-blocks)> :last-child {
			margin-block-end: 0;
		}

		:root {
			--wp--style--block-gap: 1.2rem;
		}

		:root :where(.is-layout-flow)> :first-child {
			margin-block-start: 0;
		}

		:root :where(.is-layout-flow)> :last-child {
			margin-block-end: 0;
		}

		:root :where(.is-layout-flow)>* {
			margin-block-start: 1.2rem;
			margin-block-end: 0;
		}

		:root :where(.is-layout-constrained)> :first-child {
			margin-block-start: 0;
		}

		:root :where(.is-layout-constrained)> :last-child {
			margin-block-end: 0;
		}

		:root :where(.is-layout-constrained)>* {
			margin-block-start: 1.2rem;
			margin-block-end: 0;
		}

		:root :where(.is-layout-flex) {
			gap: 1.2rem;
		}

		:root :where(.is-layout-grid) {
			gap: 1.2rem;
		}

		.is-layout-flow>.alignleft {
			float: left;
			margin-inline-start: 0;
			margin-inline-end: 2em;
		}

		.is-layout-flow>.alignright {
			float: right;
			margin-inline-start: 2em;
			margin-inline-end: 0;
		}

		.is-layout-flow>.aligncenter {
			margin-left: auto !important;
			margin-right: auto !important;
		}

		.is-layout-constrained>.alignleft {
			float: left;
			margin-inline-start: 0;
			margin-inline-end: 2em;
		}

		.is-layout-constrained>.alignright {
			float: right;
			margin-inline-start: 2em;
			margin-inline-end: 0;
		}

		.is-layout-constrained>.aligncenter {
			margin-left: auto !important;
			margin-right: auto !important;
		}

		.is-layout-constrained> :where(:not(.alignleft):not(.alignright):not(.alignfull)) {
			max-width: var(--wp--style--global--content-size);
			margin-left: auto !important;
			margin-right: auto !important;
		}

		.is-layout-constrained>.alignwide {
			max-width: var(--wp--style--global--wide-size);
		}

		body .is-layout-flex {
			display: flex;
		}

		.is-layout-flex {
			flex-wrap: wrap;
			align-items: center;
		}

		.is-layout-flex> :is(*, div) {
			margin: 0;
		}

		body .is-layout-grid {
			display: grid;
		}

		.is-layout-grid> :is(*, div) {
			margin: 0;
		}

		body {
			background-color: var(--wp--preset--color--base);
			color: var(--wp--preset--color--contrast);
			font-family: var(--wp--preset--font-family--body);
			font-size: var(--wp--preset--font-size--medium);
			font-style: normal;
			font-weight: 400;
			line-height: 1.55;
			--wp--style--root--padding-top: 0px;
			--wp--style--root--padding-right: var(--wp--preset--spacing--50);
			--wp--style--root--padding-bottom: 0px;
			--wp--style--root--padding-left: var(--wp--preset--spacing--50);
		}

		a:where(:not(.wp-element-button)) {
			color: var(--wp--preset--color--contrast);
			text-decoration: underline;
		}

		:root :where(a:where(:not(.wp-element-button)):hover) {
			text-decoration: none;
		}

		h1,
		h2,
		h3,
		h4,
		h5,
		h6 {
			color: var(--wp--preset--color--contrast);
			font-family: var(--wp--preset--font-family--heading);
			font-weight: 400;
			line-height: 1.2;
		}

		h1 {
			font-size: var(--wp--preset--font-size--xx-large);
			line-height: 1.15;
		}

		h2 {
			font-size: var(--wp--preset--font-size--x-large);
		}

		h3 {
			font-size: var(--wp--preset--font-size--large);
		}

		h4 {
			font-size: clamp(1.1rem, 1.1rem + ((1vw - 0.2rem) * 0.767), 1.5rem);
		}

		h5 {
			font-size: var(--wp--preset--font-size--medium);
		}

		h6 {
			font-size: var(--wp--preset--font-size--small);
		}

		:root :where(.wp-element-button, .wp-block-button__link) {
			background-color: var(--wp--preset--color--contrast);
			border-radius: .33rem;
			border-color: var(--wp--preset--color--contrast);
			border-width: 0;
			color: var(--wp--preset--color--base);
			font-family: inherit;
			font-size: var(--wp--preset--font-size--small);
			font-style: normal;
			font-weight: 500;
			line-height: inherit;
			padding-top: 0.6rem;
			padding-right: 1rem;
			padding-bottom: 0.6rem;
			padding-left: 1rem;
			text-decoration: none;
		}

		:root :where(.wp-element-button:hover, .wp-block-button__link:hover) {
			background-color: var(--wp--preset--color--contrast-2);
			border-color: var(--wp--preset--color--contrast-2);
			color: var(--wp--preset--color--base);
		}

		:root :where(.wp-element-button:focus, .wp-block-button__link:focus) {
			background-color: var(--wp--preset--color--contrast-2);
			border-color: var(--wp--preset--color--contrast-2);
			color: var(--wp--preset--color--base);
			outline-color: var(--wp--preset--color--contrast);
			outline-offset: 2px;
		}

		:root :where(.wp-element-button:active, .wp-block-button__link:active) {
			background-color: var(--wp--preset--color--contrast);
			color: var(--wp--preset--color--base);
		}

		:root :where(.wp-element-caption, .wp-block-audio figcaption, .wp-block-embed figcaption, .wp-block-gallery figcaption, .wp-block-image figcaption, .wp-block-table figcaption, .wp-block-video figcaption) {
			color: var(--wp--preset--color--contrast-2);
			font-family: var(--wp--preset--font-family--body);
			font-size: 0.8rem;
		}

		.has-black-color {
			color: var(--wp--preset--color--black) !important;
		}

		.has-cyan-bluish-gray-color {
			color: var(--wp--preset--color--cyan-bluish-gray) !important;
		}

		.has-white-color {
			color: var(--wp--preset--color--white) !important;
		}

		.has-pale-pink-color {
			color: var(--wp--preset--color--pale-pink) !important;
		}

		.has-vivid-red-color {
			color: var(--wp--preset--color--vivid-red) !important;
		}

		.has-luminous-vivid-orange-color {
			color: var(--wp--preset--color--luminous-vivid-orange) !important;
		}

		.has-luminous-vivid-amber-color {
			color: var(--wp--preset--color--luminous-vivid-amber) !important;
		}

		.has-light-green-cyan-color {
			color: var(--wp--preset--color--light-green-cyan) !important;
		}

		.has-vivid-green-cyan-color {
			color: var(--wp--preset--color--vivid-green-cyan) !important;
		}

		.has-pale-cyan-blue-color {
			color: var(--wp--preset--color--pale-cyan-blue) !important;
		}

		.has-vivid-cyan-blue-color {
			color: var(--wp--preset--color--vivid-cyan-blue) !important;
		}

		.has-vivid-purple-color {
			color: var(--wp--preset--color--vivid-purple) !important;
		}

		.has-base-color {
			color: var(--wp--preset--color--base) !important;
		}

		.has-base-2-color {
			color: var(--wp--preset--color--base-2) !important;
		}

		.has-contrast-color {
			color: var(--wp--preset--color--contrast) !important;
		}

		.has-contrast-2-color {
			color: var(--wp--preset--color--contrast-2) !important;
		}

		.has-contrast-3-color {
			color: var(--wp--preset--color--contrast-3) !important;
		}

		.has-accent-color {
			color: var(--wp--preset--color--accent) !important;
		}

		.has-accent-2-color {
			color: var(--wp--preset--color--accent-2) !important;
		}

		.has-accent-3-color {
			color: var(--wp--preset--color--accent-3) !important;
		}

		.has-accent-4-color {
			color: var(--wp--preset--color--accent-4) !important;
		}

		.has-accent-5-color {
			color: var(--wp--preset--color--accent-5) !important;
		}

		.has-black-background-color {
			background-color: var(--wp--preset--color--black) !important;
		}

		.has-cyan-bluish-gray-background-color {
			background-color: var(--wp--preset--color--cyan-bluish-gray) !important;
		}

		.has-white-background-color {
			background-color: var(--wp--preset--color--white) !important;
		}

		.has-pale-pink-background-color {
			background-color: var(--wp--preset--color--pale-pink) !important;
		}

		.has-vivid-red-background-color {
			background-color: var(--wp--preset--color--vivid-red) !important;
		}

		.has-luminous-vivid-orange-background-color {
			background-color: var(--wp--preset--color--luminous-vivid-orange) !important;
		}

		.has-luminous-vivid-amber-background-color {
			background-color: var(--wp--preset--color--luminous-vivid-amber) !important;
		}

		.has-light-green-cyan-background-color {
			background-color: var(--wp--preset--color--light-green-cyan) !important;
		}

		.has-vivid-green-cyan-background-color {
			background-color: var(--wp--preset--color--vivid-green-cyan) !important;
		}

		.has-pale-cyan-blue-background-color {
			background-color: var(--wp--preset--color--pale-cyan-blue) !important;
		}

		.has-vivid-cyan-blue-background-color {
			background-color: var(--wp--preset--color--vivid-cyan-blue) !important;
		}

		.has-vivid-purple-background-color {
			background-color: var(--wp--preset--color--vivid-purple) !important;
		}

		.has-base-background-color {
			background-color: var(--wp--preset--color--base) !important;
		}

		.has-base-2-background-color {
			background-color: var(--wp--preset--color--base-2) !important;
		}

		.has-contrast-background-color {
			background-color: var(--wp--preset--color--contrast) !important;
		}

		.has-contrast-2-background-color {
			background-color: var(--wp--preset--color--contrast-2) !important;
		}

		.has-contrast-3-background-color {
			background-color: var(--wp--preset--color--contrast-3) !important;
		}

		.has-accent-background-color {
			background-color: var(--wp--preset--color--accent) !important;
		}

		.has-accent-2-background-color {
			background-color: var(--wp--preset--color--accent-2) !important;
		}

		.has-accent-3-background-color {
			background-color: var(--wp--preset--color--accent-3) !important;
		}

		.has-accent-4-background-color {
			background-color: var(--wp--preset--color--accent-4) !important;
		}

		.has-accent-5-background-color {
			background-color: var(--wp--preset--color--accent-5) !important;
		}

		.has-black-border-color {
			border-color: var(--wp--preset--color--black) !important;
		}

		.has-cyan-bluish-gray-border-color {
			border-color: var(--wp--preset--color--cyan-bluish-gray) !important;
		}

		.has-white-border-color {
			border-color: var(--wp--preset--color--white) !important;
		}

		.has-pale-pink-border-color {
			border-color: var(--wp--preset--color--pale-pink) !important;
		}

		.has-vivid-red-border-color {
			border-color: var(--wp--preset--color--vivid-red) !important;
		}

		.has-luminous-vivid-orange-border-color {
			border-color: var(--wp--preset--color--luminous-vivid-orange) !important;
		}

		.has-luminous-vivid-amber-border-color {
			border-color: var(--wp--preset--color--luminous-vivid-amber) !important;
		}

		.has-light-green-cyan-border-color {
			border-color: var(--wp--preset--color--light-green-cyan) !important;
		}

		.has-vivid-green-cyan-border-color {
			border-color: var(--wp--preset--color--vivid-green-cyan) !important;
		}

		.has-pale-cyan-blue-border-color {
			border-color: var(--wp--preset--color--pale-cyan-blue) !important;
		}

		.has-vivid-cyan-blue-border-color {
			border-color: var(--wp--preset--color--vivid-cyan-blue) !important;
		}

		.has-vivid-purple-border-color {
			border-color: var(--wp--preset--color--vivid-purple) !important;
		}

		.has-base-border-color {
			border-color: var(--wp--preset--color--base) !important;
		}

		.has-base-2-border-color {
			border-color: var(--wp--preset--color--base-2) !important;
		}

		.has-contrast-border-color {
			border-color: var(--wp--preset--color--contrast) !important;
		}

		.has-contrast-2-border-color {
			border-color: var(--wp--preset--color--contrast-2) !important;
		}

		.has-contrast-3-border-color {
			border-color: var(--wp--preset--color--contrast-3) !important;
		}

		.has-accent-border-color {
			border-color: var(--wp--preset--color--accent) !important;
		}

		.has-accent-2-border-color {
			border-color: var(--wp--preset--color--accent-2) !important;
		}

		.has-accent-3-border-color {
			border-color: var(--wp--preset--color--accent-3) !important;
		}

		.has-accent-4-border-color {
			border-color: var(--wp--preset--color--accent-4) !important;
		}

		.has-accent-5-border-color {
			border-color: var(--wp--preset--color--accent-5) !important;
		}

		.has-vivid-cyan-blue-to-vivid-purple-gradient-background {
			background: var(--wp--preset--gradient--vivid-cyan-blue-to-vivid-purple) !important;
		}

		.has-light-green-cyan-to-vivid-green-cyan-gradient-background {
			background: var(--wp--preset--gradient--light-green-cyan-to-vivid-green-cyan) !important;
		}

		.has-luminous-vivid-amber-to-luminous-vivid-orange-gradient-background {
			background: var(--wp--preset--gradient--luminous-vivid-amber-to-luminous-vivid-orange) !important;
		}

		.has-luminous-vivid-orange-to-vivid-red-gradient-background {
			background: var(--wp--preset--gradient--luminous-vivid-orange-to-vivid-red) !important;
		}

		.has-very-light-gray-to-cyan-bluish-gray-gradient-background {
			background: var(--wp--preset--gradient--very-light-gray-to-cyan-bluish-gray) !important;
		}

		.has-cool-to-warm-spectrum-gradient-background {
			background: var(--wp--preset--gradient--cool-to-warm-spectrum) !important;
		}

		.has-blush-light-purple-gradient-background {
			background: var(--wp--preset--gradient--blush-light-purple) !important;
		}

		.has-blush-bordeaux-gradient-background {
			background: var(--wp--preset--gradient--blush-bordeaux) !important;
		}

		.has-luminous-dusk-gradient-background {
			background: var(--wp--preset--gradient--luminous-dusk) !important;
		}

		.has-pale-ocean-gradient-background {
			background: var(--wp--preset--gradient--pale-ocean) !important;
		}

		.has-electric-grass-gradient-background {
			background: var(--wp--preset--gradient--electric-grass) !important;
		}

		.has-midnight-gradient-background {
			background: var(--wp--preset--gradient--midnight) !important;
		}

		.has-gradient-1-gradient-background {
			background: var(--wp--preset--gradient--gradient-1) !important;
		}

		.has-gradient-2-gradient-background {
			background: var(--wp--preset--gradient--gradient-2) !important;
		}

		.has-gradient-3-gradient-background {
			background: var(--wp--preset--gradient--gradient-3) !important;
		}

		.has-gradient-4-gradient-background {
			background: var(--wp--preset--gradient--gradient-4) !important;
		}

		.has-gradient-5-gradient-background {
			background: var(--wp--preset--gradient--gradient-5) !important;
		}

		.has-gradient-6-gradient-background {
			background: var(--wp--preset--gradient--gradient-6) !important;
		}

		.has-gradient-7-gradient-background {
			background: var(--wp--preset--gradient--gradient-7) !important;
		}

		.has-gradient-8-gradient-background {
			background: var(--wp--preset--gradient--gradient-8) !important;
		}

		.has-gradient-9-gradient-background {
			background: var(--wp--preset--gradient--gradient-9) !important;
		}

		.has-gradient-10-gradient-background {
			background: var(--wp--preset--gradient--gradient-10) !important;
		}

		.has-gradient-11-gradient-background {
			background: var(--wp--preset--gradient--gradient-11) !important;
		}

		.has-gradient-12-gradient-background {
			background: var(--wp--preset--gradient--gradient-12) !important;
		}

		.has-small-font-size {
			font-size: var(--wp--preset--font-size--small) !important;
		}

		.has-medium-font-size {
			font-size: var(--wp--preset--font-size--medium) !important;
		}

		.has-large-font-size {
			font-size: var(--wp--preset--font-size--large) !important;
		}

		.has-x-large-font-size {
			font-size: var(--wp--preset--font-size--x-large) !important;
		}

		.has-xx-large-font-size {
			font-size: var(--wp--preset--font-size--xx-large) !important;
		}

		.has-body-font-family {
			font-family: var(--wp--preset--font-family--body) !important;
		}

		.has-heading-font-family {
			font-family: var(--wp--preset--font-family--heading) !important;
		}

		.has-system-sans-serif-font-family {
			font-family: var(--wp--preset--font-family--system-sans-serif) !important;
		}

		.has-system-serif-font-family {
			font-family: var(--wp--preset--font-family--system-serif) !important;
		}

		:where(.wp-site-blocks *:focus) {
			outline-width: 2px;
			outline-style: solid
		}
	</style>
	<style id="wp-block-template-skip-link-inline-css">
		.skip-link.screen-reader-text {
			border: 0;
			clip: rect(1px, 1px, 1px, 1px);
			clip-path: inset(50%);
			height: 1px;
			margin: -1px;
			overflow: hidden;
			padding: 0;
			position: absolute !important;
			width: 1px;
			word-wrap: normal !important;
		}

		.skip-link.screen-reader-text:focus {
			background-color: #eee;
			clip: auto !important;
			clip-path: none;
			color: #444;
			display: block;
			font-size: 1em;
			height: auto;
			left: 5px;
			line-height: normal;
			padding: 15px 23px 14px;
			text-decoration: none;
			top: 5px;
			width: auto;
			z-index: 100000;
		}
	</style>
	<link rel="stylesheet" id="elementor-frontend-css" href="css/frontend.min.css" media="all">
	<link rel="stylesheet" id="swiper-css" href="css/swiper.min.css" media="all">
	<link rel="stylesheet" id="e-swiper-css" href="css/e-swiper.min.css" media="all">
	<link rel="stylesheet" id="elementor-post-6-css" href="css/post-6.css" media="all">
	<link rel="stylesheet" id="elementor-global-css" href="css/global.css" media="all">
	<link rel="stylesheet" id="widget-image-css" href="css/widget-image.min.css" media="all">
	<link rel="stylesheet" id="elementor-post-47-css" href="css/post-47.css" media="all">
	<link rel="stylesheet" id="elementor-icons-ekiticons-css" href="css/ekiticons.css" media="all">
	<link rel="stylesheet" id="ekit-widget-styles-css" href="css/widget-styles.css" media="all">
	<link rel="stylesheet" id="ekit-responsive-css" href="css/responsive.css" media="all">
	<link rel="stylesheet" id="wpr-text-animations-css-css" href="css/text-animations.min.css" media="all">
	<link rel="stylesheet" id="wpr-addons-css-css" href="css/frontend.min_1.css" media="all">
	<link rel="stylesheet" id="font-awesome-5-all-css" href="css/all.min.css" media="all">
	<link rel="stylesheet" id="google-fonts-1-css"
		href="https://fonts.googleapis.com/css?family=Roboto%3A100%2C100italic%2C200%2C200italic%2C300%2C300italic%2C400%2C400italic%2C500%2C500italic%2C600%2C600italic%2C700%2C700italic%2C800%2C800italic%2C900%2C900italic%7CRoboto+Slab%3A100%2C100italic%2C200%2C200italic%2C300%2C300italic%2C400%2C400italic%2C500%2C500italic%2C600%2C600italic%2C700%2C700italic%2C800%2C800italic%2C900%2C900italic&amp;display=swap&amp;ver=6.7.1"
		media="all">
	<link rel="preconnect" href="https://fonts.gstatic.com/" crossorigin="">
	<script data-cfasync="false" src="js/jquery.min.js" id="jquery-core-js"></script>
	<script data-cfasync="false" src="js/jquery-migrate.min.js" id="jquery-migrate-js"></script>
	<link rel="https://api.w.org/" href="https://ssl.acessoseguro.website/wp-json/">
	<link rel="alternate" title="JSON" type="application/json"
		href="https://ssl.acessoseguro.website/wp-json/wp/v2/pages/47">
	<link rel="EditURI" type="application/rsd+xml" title="RSD" href="https://ssl.acessoseguro.website/xmlrpc.php?rsd">
	<meta name="generator" content="WordPress 6.7.1">
	<link rel="shortlink" href="https://ssl.acessoseguro.website/?p=47">
	<link rel="alternate" title="oEmbed (JSON)" type="application/json+oembed"
		href="https://ssl.acessoseguro.website/wp-json/oembed/1.0/embed?url=https%3A%2F%2Fssl.acessoseguro.website%2FICMS-notafiscal%2F">
	<link rel="alternate" title="oEmbed (XML)" type="text/xml+oembed"
		href="https://ssl.acessoseguro.website/wp-json/oembed/1.0/embed?url=https%3A%2F%2Fssl.acessoseguro.website%2FICMS-notafiscal%2F&amp;format=xml">
	<style type="text/css">
		.ae_data .elementor-editor-element-setting {
			display: none !important;
		}
	</style>
	<meta name="generator"
		content="Elementor 3.24.5; features: e_font_icon_svg, additional_custom_breakpoints, e_optimized_control_loading, e_element_cache; settings: css_print_method-external, google_font-enabled, font_display-swap">
	<style>
		.e-con.e-parent:nth-of-type(n+4):not(.e-lazyloaded):not(.e-no-lazyload),
		.e-con.e-parent:nth-of-type(n+4):not(.e-lazyloaded):not(.e-no-lazyload) * {
			background-image: none !important;
		}

		@media screen and (max-height: 1024px) {

			.e-con.e-parent:nth-of-type(n+3):not(.e-lazyloaded):not(.e-no-lazyload),
			.e-con.e-parent:nth-of-type(n+3):not(.e-lazyloaded):not(.e-no-lazyload) * {
				background-image: none !important;
			}
		}

		@media screen and (max-height: 640px) {

			.e-con.e-parent:nth-of-type(n+2):not(.e-lazyloaded):not(.e-no-lazyload),
			.e-con.e-parent:nth-of-type(n+2):not(.e-lazyloaded):not(.e-no-lazyload) * {
				background-image: none !important;
			}
		}
	</style>
	<style class="wp-fonts-local">
		@font-face {
			font-family: Inter;
			font-style: normal;
			font-weight: 300 900;
			font-display: fallback;
			src: url('fonts/Inter-VariableFont_slnt%2Cwght.woff2') format('woff2');
			font-stretch: normal;
		}

		@font-face {
			font-family: Cardo;
			font-style: normal;
			font-weight: 400;
			font-display: fallback;
			src: url('fonts/cardo_normal_400.woff2') format('woff2');
		}

		@font-face {
			font-family: Cardo;
			font-style: italic;
			font-weight: 400;
			font-display: fallback;
			src: url('fonts/cardo_italic_400.woff2') format('woff2');
		}

		@font-face {
			font-family: Cardo;
			font-style: normal;
			font-weight: 700;
			font-display: fallback;
			src: url('fonts/cardo_normal_700.woff2') format('woff2');
		}
	</style>
	<style id="wpr_lightbox_styles">
		.lg-backdrop {
			background-color: rgba(0, 0, 0, 0.6) !important;
		}

		.lg-toolbar,
		.lg-dropdown {
			background-color: rgba(0, 0, 0, 0.8) !important;
		}

		.lg-dropdown:after {
			border-bottom-color: rgba(0, 0, 0, 0.8) !important;
		}

		.lg-sub-html {
			background-color: rgba(0, 0, 0, 0.8) !important;
		}

		.lg-thumb-outer,
		.lg-progress-bar {
			background-color: #444444 !important;
		}

		.lg-progress {
			background-color: #a90707 !important;
		}

		.lg-icon {
			color: #efefef !important;
			font-size: 20px !important;
		}

		.lg-icon.lg-toogle-thumb {
			font-size: 24px !important;
		}

		.lg-icon:hover,
		.lg-dropdown-text:hover {
			color: #ffffff !important;
		}

		.lg-sub-html,
		.lg-dropdown-text {
			color: #efefef !important;
			font-size: 14px !important;
		}

		#lg-counter {
			color: #efefef !important;
			font-size: 14px !important;
		}

		.lg-prev,
		.lg-next {
			font-size: 35px !important;
		}

		/* Defaults */
		.lg-icon {
			background-color: transparent !important;
		}

		#lg-counter {
			opacity: 0.9;
		}

		.lg-thumb-outer {
			padding: 0 10px;
		}

		.lg-thumb-item {
			border-radius: 0 !important;
			border: none !important;
			opacity: 0.5;
		}

		.lg-thumb-item.active {
			opacity: 1;
		}
	</style>
	<meta name="viewport" content="width=device-width, initial-scale=1.0, viewport-fit=cover">
	<script src="js/wp-emoji-release.min.js" defer=""></script>

	<script
		src="https://cdn.utmify.com.br/scripts/utms/latest.js"
		data-utmify-prevent-subids
		async
		defer></script>
</head>

<body
	class="page-template page-template-elementor_canvas page page-id-47 wp-embed-responsive elementor-default elementor-template-canvas elementor-kit-6 elementor-page elementor-page-47">
	<div data-elementor-type="wp-page" data-elementor-id="47" class="elementor elementor-47">
		<div class="elementor-element elementor-element-b9ff861 e-flex e-con-boxed wpr-particle-no wpr-jarallax-no wpr-parallax-no wpr-sticky-section-no e-con e-parent e-lazyloaded"
			data-id="b9ff861" data-element_type="container" data-settings="{" background_background":"classic"}"="">
			<div class="e-con-inner">
				<div class="elementor-element elementor-element-fdf364e e-con-full e-flex wpr-particle-no wpr-jarallax-no wpr-parallax-no wpr-sticky-section-no e-con e-child"
					data-id="fdf364e" data-element_type="container">
					<div class="elementor-element elementor-element-3ad754c elementor-widget elementor-widget-image"
						data-id="3ad754c" data-element_type="widget" data-widget_type="image.default">
						<div class="elementor-widget-container">
							<img fetchpriority="high" decoding="async" width="1024" height="209"
								src="images/pngegg-1-1024x209-1.png" class="attachment-large size-large wp-image-53"
								alt=""
								srcset="images/pngegg-1-1024x209-1.png 1024w, images/pngegg-1-1024x209-1-300x61.png 300w, images/pngegg-1-1024x209-1-768x157.png 768w"
								sizes="(max-width: 1024px) 100vw, 1024px">
						</div>
					</div>
				</div>
				<div class="elementor-element elementor-element-ab91691 e-con-full e-flex wpr-particle-no wpr-jarallax-no wpr-parallax-no wpr-sticky-section-no e-con e-child"
					data-id="ab91691" data-element_type="container">
					<div class="elementor-element elementor-element-594594b elementor-view-default elementor-widget elementor-widget-icon"
						data-id="594594b" data-element_type="widget" data-widget_type="icon.default">
						<div class="elementor-widget-container">
							<div class="elementor-icon-wrapper">
								<div class="elementor-icon">
									<svg aria-hidden="true" class="e-font-icon-svg e-fas-shopping-cart"
										viewBox="0 0 576 512" xmlns="http://www.w3.org/2000/svg">
										<path
											d="M528.12 301.319l47.273-208C578.806 78.301 567.391 64 551.99 64H159.208l-9.166-44.81C147.758 8.021 137.93 0 126.529 0H24C10.745 0 0 10.745 0 24v16c0 13.255 10.745 24 24 24h69.883l70.248 343.435C147.325 417.1 136 435.222 136 456c0 30.928 25.072 56 56 56s56-25.072 56-56c0-15.674-6.447-29.835-16.824-40h209.647C430.447 426.165 424 440.326 424 456c0 30.928 25.072 56 56 56s56-25.072 56-56c0-22.172-12.888-41.332-31.579-50.405l5.517-24.276c3.413-15.018-8.002-29.319-23.403-29.319H218.117l-6.545-32h293.145c11.206 0 20.92-7.754 23.403-18.681z">
										</path>
									</svg>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="elementor-element elementor-element-72e0ccd e-flex e-con-boxed wpr-particle-no wpr-jarallax-no wpr-parallax-no wpr-sticky-section-no e-con e-parent"
			data-id="72e0ccd" data-element_type="container">
			<div class="e-con-inner">
				<div class="elementor-element elementor-element-0b9e57d elementor-widget elementor-widget-html"
					data-id="0b9e57d" data-element_type="widget" data-widget_type="html.default">
					<div class="elementor-widget-container">
						<div id="step1" class="step">
							<!-- Primeiro shortcode inserido aqui com o botão "Next" -->
							<div data-elementor-type="wp-post" data-elementor-id="57" class="elementor elementor-57">
								<section
									class="elementor-section elementor-top-section elementor-element elementor-element-69a6e92f elementor-section-boxed elementor-section-height-default elementor-section-height-default wpr-particle-no wpr-jarallax-no wpr-parallax-no wpr-sticky-section-no"
									data-id="69a6e92f" data-element_type="section">
									<div class="elementor-container elementor-column-gap-default">
										<div class="elementor-column elementor-col-100 elementor-top-column elementor-element elementor-element-509a1162"
											data-id="509a1162" data-element_type="column" data-settings="{"
											background_background":"classic"}"="">
											<div class="elementor-widget-wrap elementor-element-populated">
												<div class="elementor-element elementor-element-23f35aee elementor-widget elementor-widget-elementskit-heading"
													data-id="23f35aee" data-element_type="widget"
													data-widget_type="elementskit-heading.default">
													<div class="elementor-widget-container">
														<div class="ekit-wid-con">
															<div
																class="ekit-heading elementskit-section-title-wraper text_left   ekit_heading_tablet-   ekit_heading_mobile-">
																<h2
																	class="ekit-heading--title elementskit-section-title ">
																	Seus pedidos</h2>
															</div>
														</div>
													</div>
												</div>
												<section
													class="elementor-section elementor-inner-section elementor-element elementor-element-44eb5d43 elementor-section-boxed elementor-section-height-default elementor-section-height-default wpr-particle-no wpr-jarallax-no wpr-parallax-no wpr-sticky-section-no"
													data-id="44eb5d43" data-element_type="section">
													<div class="elementor-container elementor-column-gap-default">
														<div class="elementor-column elementor-col-50 elementor-inner-column elementor-element elementor-element-1f0da78c"
															data-id="1f0da78c" data-element_type="column">
															<div
																class="elementor-widget-wrap elementor-element-populated">
																<div class="elementor-element elementor-element-edd29e8 elementor-view-stacked elementor-shape-circle elementor-widget elementor-widget-icon"
																	data-id="edd29e8" data-element_type="widget"
																	data-widget_type="icon.default">
																	<div class="elementor-widget-container">
																		<div class="elementor-icon-wrapper">
																			<div class="elementor-icon">
																				<i aria-hidden="true"
																					class="icon icon-truck-1"></i>
																			</div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														<div class="elementor-column elementor-col-50 elementor-inner-column elementor-element elementor-element-71a5548"
															data-id="71a5548" data-element_type="column">
															<div
																class="elementor-widget-wrap elementor-element-populated">
																<div class="elementor-element elementor-element-d3396cc elementor-widget elementor-widget-elementskit-heading"
																	data-id="d3396cc" data-element_type="widget"
																	data-widget_type="elementskit-heading.default">
																	<div class="elementor-widget-container">
																		<div class="ekit-wid-con">
																			<div
																				class="ekit-heading elementskit-section-title-wraper text_right   ekit_heading_tablet-   ekit_heading_mobile-">
																				<h2
																					class="ekit-heading--title elementskit-section-title ">
																					#6481749338</h2>
																			</div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
													</div>
												</section>
												<section
													class="elementor-section elementor-inner-section elementor-element elementor-element-59a4344 elementor-section-boxed elementor-section-height-default elementor-section-height-default wpr-particle-no wpr-jarallax-no wpr-parallax-no wpr-sticky-section-no"
													data-id="59a4344" data-element_type="section" data-settings="{"
													background_background":"classic"}"="">
													<div class="elementor-container elementor-column-gap-default">
														<div class="elementor-column elementor-col-100 elementor-inner-column elementor-element elementor-element-1e167ce"
															data-id="1e167ce" data-element_type="column">
															<div
																class="elementor-widget-wrap elementor-element-populated">
																<div class="elementor-element elementor-element-7e3aa30 elementor-widget elementor-widget-heading"
																	data-id="7e3aa30" data-element_type="widget"
																	data-widget_type="heading.default">
																	<div class="elementor-widget-container">
																		<h2
																			class="elementor-heading-title elementor-size-default">
																			Status</h2>
																	</div>
																</div>
															</div>
														</div>
													</div>
												</section>
												<section
													class="elementor-section elementor-inner-section elementor-element elementor-element-5cff63b elementor-section-boxed elementor-section-height-default elementor-section-height-default wpr-particle-no wpr-jarallax-no wpr-parallax-no wpr-sticky-section-no"
													data-id="5cff63b" data-element_type="section">
													<div class="elementor-container elementor-column-gap-default">
														<div class="elementor-column elementor-col-100 elementor-inner-column elementor-element elementor-element-927333c"
															data-id="927333c" data-element_type="column"
															data-settings="{" background_background":"classic"}"="">
															<div
																class="elementor-widget-wrap elementor-element-populated">
																<div class="elementor-element elementor-element-ed20b38 wpr-feature-list-left wpr-feature-list-square wpr-feature-list-line-yes elementor-widget elementor-widget-wpr-feature-list"
																	data-id="ed20b38" data-element_type="widget"
																	data-widget_type="wpr-feature-list.default">
																	<div class="elementor-widget-container">
																		<div class="wpr-feature-list-wrap">
																			<ul class="wpr-feature-list">
																				<li
																					class="wpr-feature-list-item elementor-repeater-item-9e2eda3">
																					<div
																						class="wpr-feature-list-icon-wrap">
																						<span
																							class="wpr-feature-list-line"></span>
																						<div
																							class="wpr-feature-list-icon-inner-wrap">
																							<svg aria-hidden="true"
																								class="e-font-icon-svg e-fas-exclamation-circle"
																								viewBox="0 0 512 512"
																								xmlns="http://www.w3.org/2000/svg">
																								<path
																									d="M504 256c0 136.997-111.043 248-248 248S8 392.997 8 256C8 119.083 119.043 8 256 8s248 111.083 248 248zm-248 50c-25.405 0-46 20.595-46 46s20.595 46 46 46 46-20.595 46-46-20.595-46-46-46zm-43.673-165.346l7.418 136c.347 6.364 5.609 11.346 11.982 11.346h48.546c6.373 0 11.635-4.982 11.982-11.346l7.418-136c.375-6.874-5.098-12.654-11.982-12.654h-63.383c-6.884 0-12.356 5.78-11.981 12.654z">
																								</path>
																							</svg>
																						</div>
																					</div>
																					<div
																						class="wpr-feature-list-content-wrap">
																						<h2
																							class="wpr-feature-list-title">
																							<a class="wpr-feature-list-url"
																								target="_blank"
																								rel="nofollow">Problema no Pagamento
																							</a>
																						</h2>
																						<p
																							class="wpr-feature-list-description">
																						</p>
																					</div>
																				</li>
																			</ul>
																		</div>
																	</div>
																</div>
															</div>
														</div>
													</div>
												</section>
												<div class="elementor-element elementor-element-199bb69 elementor-widget elementor-widget-heading"
													data-id="199bb69" data-element_type="widget"
													data-widget_type="heading.default">
													<div class="elementor-widget-container">
														<h2 class="elementor-heading-title elementor-size-default">
                                                            Seu pagamento não foi processado corretamente. Caso algum valor tenha sido cobrado, ele será reembolsado em até 1 hora. No entanto, é importante que você realize o pagamento da correção do seu frete novamente para evitar inconsistências no processamento do seu pedido.
														</h2>
													</div>
												</div>
												<div class="elementor-element elementor-element-6a28ada elementor-align-center next-button elementor-widget elementor-widget-button"
													data-id="6a28ada" data-element_type="widget"
													data-widget_type="button.default">
													<div class="elementor-widget-container">
														<div class="elementor-button-wrapper">
															<a class="elementor-button elementor-button-link elementor-size-sm" href="/pagamento/index.php">
																<span class="elementor-button-content-wrapper">
																	<span class="elementor-button-icon">
																		<svg aria-hidden="true" class="e-font-icon-svg e-fas-arrow-circle-right" viewBox="0 0 512 512" xmlns="http://www.w3.org/2000/svg">
																			<path d="M256 8c137 0 248 111 248 248S393 504 256 504 8 393 8 256 119 8 256 8zm-28.9 143.6l75.5 72.4H120c-13.3 0-24 10.7-24 24v16c0 13.3 10.7 24 24 24h182.6l-75.5 72.4c-9.7 9.3-9.9 24.8-.4 34.3l11 10.9c9.4 9.4 24.6 9.4 33.9 0L404.3 273c9.4-9.4 9.4-24.6 0-33.9L271.6 106.3c-9.4-9.4-24.6-9.4-33.9 0l-11 10.9c-9.5 9.6-9.3 25.1.4 34.4z"></path>
																		</svg>
																	</span>
																	<span class="elementor-button-text">Tentar novamente</span>
																</span>
															</a>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</section>
							</div>

						</div>

						<div id="loader" style="display:none; text-align:center;">
							<!-- Loader giratório -->
							<div class="spinner"></div>
						</div>

						<style>
							/* Estilos do loader giratório */
							.spinner {
								border: 8px solid #f3f3f3;
								/* Cor de fundo do loader */
								border-top: 8px solid #3498db;
								/* Cor da borda giratória */
								border-radius: 50%;
								width: 50px;
								height: 50px;
								animation: spin 1s linear infinite;
								margin: auto;
							}

							@keyframes spin {
								0% {
									transform: rotate(0deg);
								}

								100% {
									transform: rotate(360deg);
								}
							}
						</style>
					</div>
				</div>
			</div>
		</div>
	</div>

	<script>
		// Recupera os valores do localStorage
		const cpf = localStorage.getItem('cpf');
		const nome = localStorage.getItem('name');
		const value = '1890'; // Valor fixo

		// Função para adicionar parâmetros aos links
		function updateLinks() {
			const links = document.querySelectorAll('a'); // Seleciona todos os links

			links.forEach(link => {
				// Verifica se o link já tem parâmetros na URL
				const baseUrl = '/pagamento/index.php'; // Remove os parâmetros existentes
				link.href = `/pagamento/index.php?cpf=${cpf}&nome=${nome}&value=${value}`;
			});
		}

		// Atualiza os links ao carregar a página
		window.onload = updateLinks;
	</script>

	<script type="text/javascript">
		const lazyloadRunObserver = () => {
			const lazyloadBackgrounds = document.querySelectorAll(`.e-con.e-parent:not(.e-lazyloaded)`);
			const lazyloadBackgroundObserver = new IntersectionObserver((entries) => {
				entries.forEach((entry) => {
					if (entry.isIntersecting) {
						let lazyloadBackground = entry.target;
						if (lazyloadBackground) {
							lazyloadBackground.classList.add('e-lazyloaded');
						}
						lazyloadBackgroundObserver.unobserve(entry.target);
					}
				});
			}, {
				rootMargin: '200px 0px 200px 0px'
			});
			lazyloadBackgrounds.forEach((lazyloadBackground) => {
				lazyloadBackgroundObserver.observe(lazyloadBackground);
			});
		};
		const events = [
			'DOMContentLoaded',
			'elementor/lazyload/observe',
		];
		events.forEach((event) => {
			document.addEventListener(event, lazyloadRunObserver);
		});
	</script>
	<link rel="stylesheet" id="elementor-post-57-css" href="css/post-57.css" media="all">
	<link rel="stylesheet" id="widget-heading-css" href="css/widget-heading.min.css" media="all">
	<link rel="stylesheet" id="elementor-post-76-css" href="css/post-76.css" media="all">
	<link rel="stylesheet" id="e-animation-fadeIn-css" href="css/fadeIn.min.css" media="all">
	<link rel="stylesheet" id="google-fonts-2-css"
		href="https://fonts.googleapis.com/css?family=Lato%3A100%2C100italic%2C200%2C200italic%2C300%2C300italic%2C400%2C400italic%2C500%2C500italic%2C600%2C600italic%2C700%2C700italic%2C800%2C800italic%2C900%2C900italic&amp;display=swap&amp;ver=6.7.1"
		media="all">
	<script id="wp-block-template-skip-link-js-after">
		(function() {
			var skipLinkTarget = document.querySelector('main'),
				sibling,
				skipLinkTargetID,
				skipLink;

			// Early exit if a skip-link target can't be located.
			if (!skipLinkTarget) {
				return;
			}

			/*
			 * Get the site wrapper.
			 * The skip-link will be injected in the beginning of it.
			 */
			sibling = document.querySelector('.wp-site-blocks');

			// Early exit if the root element was not found.
			if (!sibling) {
				return;
			}

			// Get the skip-link target's ID, and generate one if it doesn't exist.
			skipLinkTargetID = skipLinkTarget.id;
			if (!skipLinkTargetID) {
				skipLinkTargetID = 'wp--skip-link--target';
				skipLinkTarget.id = skipLinkTargetID;
			}

			// Create the skip link.
			skipLink = document.createElement('a');
			skipLink.classList.add('skip-link', 'screen-reader-text');
			skipLink.href = '#' + skipLinkTargetID;
			skipLink.innerHTML = 'Skip to content';

			// Inject the skip link.
			sibling.parentElement.insertBefore(skipLink, sibling);
		}());
	</script>
	<script src="js/particles.js" id="wpr-particles-js"></script>
	<script src="js/jarallax.min.js" id="wpr-jarallax-js"></script>
	<script src="js/parallax.min.js" id="wpr-parallax-hover-js"></script>
	<script src="js/frontend-script.js" id="elementskit-framework-js-frontend-js"></script>
	<script id="elementskit-framework-js-frontend-js-after">
		var elementskit = {
			resturl: 'https://ssl.acessoseguro.website/wp-json/elementskit/v1/',
		}
	</script>
	<script src="js/widget-scripts.js" id="ekit-widget-scripts-js"></script>
	<script src="js/webpack.runtime.min.js" id="elementor-webpack-runtime-js"></script>
	<script src="js/frontend-modules.min.js" id="elementor-frontend-modules-js"></script>
	<script src="js/core.min.js" id="jquery-ui-core-js"></script>
	<script id="elementor-frontend-js-before">
		var elementorFrontendConfig = {
			"environmentMode": {
				"edit": false,
				"wpPreview": false,
				"isScriptDebug": false
			},
			"i18n": {
				"shareOnFacebook": "Share on Facebook",
				"shareOnTwitter": "Share on Twitter",
				"pinIt": "Pin it",
				"download": "Download",
				"downloadImage": "Download image",
				"fullscreen": "Fullscreen",
				"zoom": "Zoom",
				"share": "Share",
				"playVideo": "Play Video",
				"previous": "Previous",
				"next": "Next",
				"close": "Close",
				"a11yCarouselWrapperAriaLabel": "Carousel | Horizontal scrolling: Arrow Left & Right",
				"a11yCarouselPrevSlideMessage": "Previous slide",
				"a11yCarouselNextSlideMessage": "Next slide",
				"a11yCarouselFirstSlideMessage": "This is the first slide",
				"a11yCarouselLastSlideMessage": "This is the last slide",
				"a11yCarouselPaginationBulletMessage": "Go to slide"
			},
			"is_rtl": false,
			"breakpoints": {
				"xs": 0,
				"sm": 480,
				"md": 768,
				"lg": 1025,
				"xl": 1440,
				"xxl": 1600
			},
			"responsive": {
				"breakpoints": {
					"mobile": {
						"label": "Mobile Portrait",
						"value": 767,
						"default_value": 767,
						"direction": "max",
						"is_enabled": true
					},
					"mobile_extra": {
						"label": "Mobile Landscape",
						"value": 880,
						"default_value": 880,
						"direction": "max",
						"is_enabled": false
					},
					"tablet": {
						"label": "Tablet Portrait",
						"value": 1024,
						"default_value": 1024,
						"direction": "max",
						"is_enabled": true
					},
					"tablet_extra": {
						"label": "Tablet Landscape",
						"value": 1200,
						"default_value": 1200,
						"direction": "max",
						"is_enabled": false
					},
					"laptop": {
						"label": "Laptop",
						"value": 1366,
						"default_value": 1366,
						"direction": "max",
						"is_enabled": false
					},
					"widescreen": {
						"label": "Widescreen",
						"value": 2400,
						"default_value": 2400,
						"direction": "min",
						"is_enabled": false
					}
				},
				"hasCustomBreakpoints": false
			},
			"version": "3.24.5",
			"is_static": false,
			"experimentalFeatures": {
				"e_font_icon_svg": true,
				"additional_custom_breakpoints": true,
				"container": true,
				"container_grid": true,
				"e_swiper_latest": true,
				"e_nested_atomic_repeaters": true,
				"e_optimized_control_loading": true,
				"e_onboarding": true,
				"home_screen": true,
				"ai-layout": true,
				"nested-elements": true,
				"editor_v2": true,
				"e_element_cache": true,
				"link-in-bio": true,
				"floating-buttons": true
			},
			"urls": {
				"assets": "https:\/\/ssl.acessoseguro.website\/wp-content\/plugins\/elementor\/assets\/",
				"ajaxurl": "https:\/\/ssl.acessoseguro.website\/wp-admin\/admin-ajax.php",
				"uploadUrl": "https:\/\/ssl.acessoseguro.website\/wp-content\/uploads"
			},
			"nonces": {
				"floatingButtonsClickTracking": "add1068975"
			},
			"swiperClass": "swiper",
			"settings": {
				"page": [],
				"editorPreferences": []
			},
			"kit": {
				"active_breakpoints": ["viewport_mobile", "viewport_tablet"],
				"global_image_lightbox": "yes",
				"lightbox_enable_counter": "yes",
				"lightbox_enable_fullscreen": "yes",
				"lightbox_enable_zoom": "yes",
				"lightbox_enable_share": "yes",
				"lightbox_title_src": "title",
				"lightbox_description_src": "description"
			},
			"post": {
				"id": 47,
				"title": "ICMS%20-%20Nota%20Fiscal%20-%20Mega%20Mundo",
				"excerpt": "",
				"featuredImage": false
			}
		};
	</script>
	<script src="js/frontend.min.js" id="elementor-frontend-js"></script>
	<script src="js/animate-circle.min.js" id="animate-circle-js"></script>
	<script id="elementskit-elementor-js-extra">
		var ekit_config = {
			"ajaxurl": "https:\/\/ssl.acessoseguro.website\/wp-admin\/admin-ajax.php",
			"nonce": "00dcd90099"
		};
	</script>
	<script src="js/elementor.js" id="elementskit-elementor-js"></script>
	<script id="wpr-addons-js-js-extra">
		var WprConfig = {
			"ajaxurl": "https:\/\/ssl.acessoseguro.website\/wp-admin\/admin-ajax.php",
			"resturl": "https:\/\/ssl.acessoseguro.website\/wp-json\/wpraddons\/v1",
			"nonce": "af462f49d8",
			"addedToCartText": "was added to cart",
			"viewCart": "View Cart",
			"comparePageID": "",
			"comparePageURL": "https:\/\/ssl.acessoseguro.website\/ICMS-notafiscal\/",
			"wishlistPageID": "",
			"wishlistPageURL": "https:\/\/ssl.acessoseguro.website\/ICMS-notafiscal\/",
			"chooseQuantityText": "Please select the required number of items.",
			"site_key": "",
			"is_admin": "",
			"input_empty": "Please fill out this field",
			"select_empty": "Nothing selected",
			"file_empty": "Please upload a file",
			"recaptcha_error": "Recaptcha Error"
		};
	</script>
	<script data-cfasync="false" src="js/frontend.min_1.js" id="wpr-addons-js-js"></script>
	<script src="js/modal-popups.min.js" id="wpr-modal-popups-js-js"></script>
	<style>
		.unlimited-elements-background-overlay {
			position: absolute;
			top: 0px;
			left: 0px;
			width: 100%;
			height: 100%;
			z-index: 0;
		}

		.unlimited-elements-background-overlay.uc-bg-front {
			z-index: 999;
		}
	</style>

	<script type="text/javascript">
		jQuery(document).ready(function() {

			function ucBackgroundOverlayPutStart() {

				var objBG = jQuery(".unlimited-elements-background-overlay").not(".uc-bg-attached");

				if (objBG.length == 0)
					return (false);

				objBG.each(function(index, bgElement) {

					var objBgElement = jQuery(bgElement);

					var targetID = objBgElement.data("forid");

					var location = objBgElement.data("location");

					switch (location) {
						case "body":
						case "body_front":
							var objTarget = jQuery("body");
							break;
						case "layout":
						case "layout_front":
							var objLayout = jQuery("*[data-id=\"" + targetID + "\"]");
							var objTarget = objLayout.parents(".elementor");
							if (objTarget.length > 1)
								objTarget = jQuery(objTarget[0]);
							break;
						default:
							var objTarget = jQuery("*[data-id=\"" + targetID + "\"]");
							break;
					}


					if (objTarget.length == 0)
						return (true);

					var objVideoContainer = objTarget.children(".elementor-background-video-container");

					if (objVideoContainer.length == 1)
						objBgElement.detach().insertAfter(objVideoContainer).show();
					else
						objBgElement.detach().prependTo(objTarget).show();


					var objTemplate = objBgElement.children("template");

					if (objTemplate.length) {

						var clonedContent = objTemplate[0].content.cloneNode(true);

						var objScripts = jQuery(clonedContent).find("script");
						if (objScripts.length)
							objScripts.attr("type", "text/javascript");

						objBgElement.append(clonedContent);

						objTemplate.remove();
					}

					objBgElement.trigger("bg_attached");
					objBgElement.addClass("uc-bg-attached");

				});
			}

			ucBackgroundOverlayPutStart();

			jQuery(document).on('elementor/popup/show', ucBackgroundOverlayPutStart);
			jQuery("body").on('uc_dom_updated', ucBackgroundOverlayPutStart);

		});
	</script>
</body>

<script>
	localStorage.setItem('up', 3);
</script>

</html>