<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

if ($_SERVER["REQUEST_METHOD"] == "GET" && isset($_GET['id'])) {
    $transactionId = $_GET['id'];

    // URL da API para verificar o status do pagamento
    $apiUrl = "https://app.ghostspaysv1.com/api/v1/transaction.getpayment?id=" . $transactionId;
    $apiKey = "e4d47ac1-f59c-4560-88bf-16763cb6e93f"; // Substitua pela sua chave de API

    // Inicializa o cURL
    $ch = curl_init($apiUrl);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        "Authorization: " . $apiKey
    ]);

    // Executa a requisição
    $response = curl_exec($ch);
    $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);

    // Verifica se a requisição foi bem-sucedida
    if ($httpCode == 200) {
        $responseData = json_decode($response, true);

        // Retorna o status do pagamento em formato JSON
        echo json_encode(['status' => $responseData['status']]);
    } else {
        // Retorna um erro em formato JSON
        echo json_encode(['status' => 'ERROR', 'message' => 'Erro ao verificar status do pagamento.']);
    }
} else {
    // Retorna um erro em formato JSON se o método não for GET ou o ID não for fornecido
    echo json_encode(['status' => 'INVALID_REQUEST', 'message' => 'Requisição inválida.']);
}
?>